diff --git a/debian.master/config/amd64/config.common.amd64 b/debian.master/config/amd64/config.common.amd64
index 2a25ccf..bff2b5b 100644
--- a/debian.master/config/amd64/config.common.amd64
+++ b/debian.master/config/amd64/config.common.amd64
@@ -46,6 +46,7 @@ CONFIG_CIFS_XATTR=y
 CONFIG_COMEDI=m
 CONFIG_COMPACTION=y
 CONFIG_CPU_FREQ_STAT=y
+CONFIG_CRASH_DUMP=y
 CONFIG_CRC_T10DIF=y
 CONFIG_CRYPTO_CCM=m
 CONFIG_CRYPTO_CTR=m
diff --git a/debian.master/config/armel/config.common.armel b/debian.master/config/armel/config.common.armel
index 344ba88..80f2921 100644
--- a/debian.master/config/armel/config.common.armel
+++ b/debian.master/config/armel/config.common.armel
@@ -29,6 +29,7 @@ CONFIG_CIFS_XATTR=y
 # CONFIG_COMEDI is not set
 # CONFIG_COMPACTION is not set
 CONFIG_CPU_FREQ_STAT=y
+CONFIG_CRASH_DUMP=y
 CONFIG_CRC_T10DIF=y
 CONFIG_CRYPTO_CCM=m
 CONFIG_CRYPTO_CTR=m
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index cef239c..ddba078 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -956,7 +956,6 @@ CONFIG_CPU_SUP_UMC_32=y
 CONFIG_CPU_TLB_V7=y
 CONFIG_CPU_V7=y
 CONFIG_CRAMFS=m
-CONFIG_CRASH_DUMP=y
 CONFIG_CRC16=y
 CONFIG_CRC32=y
 CONFIG_CRC7=m
diff --git a/debian.master/config/i386/config.common.i386 b/debian.master/config/i386/config.common.i386
index d8b6d7b..26fba1c 100644
--- a/debian.master/config/i386/config.common.i386
+++ b/debian.master/config/i386/config.common.i386
@@ -43,6 +43,7 @@ CONFIG_CIFS_XATTR=y
 CONFIG_COMEDI=m
 CONFIG_COMPACTION=y
 CONFIG_CPU_FREQ_STAT=y
+CONFIG_CRASH_DUMP=y
 CONFIG_CRC_T10DIF=y
 CONFIG_CRYPTO_CCM=m
 CONFIG_CRYPTO_CTR=m
diff --git a/debian.master/config/powerpc/config.common.powerpc b/debian.master/config/powerpc/config.common.powerpc
index 5eac7ee..1b901f4 100644
--- a/debian.master/config/powerpc/config.common.powerpc
+++ b/debian.master/config/powerpc/config.common.powerpc
@@ -243,6 +243,7 @@ CONFIG_PCCARD=m
 # CONFIG_PCI_STUB is not set
 CONFIG_PCI_SYSCALL=y
 CONFIG_PDC_ADMA=m
+CONFIG_PHYSICAL_START=0x00000000
 # CONFIG_PM_DEBUG is not set
 # CONFIG_POHMELFS is not set
 CONFIG_POWER_SUPPLY=y
diff --git a/debian.master/config/powerpc/config.flavour.powerpc b/debian.master/config/powerpc/config.flavour.powerpc
index 4eda81df..69a821c 100644
--- a/debian.master/config/powerpc/config.flavour.powerpc
+++ b/debian.master/config/powerpc/config.flavour.powerpc
@@ -6,6 +6,7 @@
 # CONFIG_ARCH_PHYS_ADDR_T_64BIT is not set
 # CONFIG_ATA_NONSTANDARD is not set
 # CONFIG_CFG80211_REG_DEBUG is not set
+# CONFIG_CRASH_DUMP is not set
 CONFIG_CRYPTO_LZO=m
 CONFIG_FB_SYS_COPYAREA=m
 CONFIG_FB_SYS_FILLRECT=m
@@ -17,7 +18,7 @@ CONFIG_FORCE_MAX_ZONEORDER=11
 CONFIG_HP_ILO=m
 # CONFIG_HUGETLB_PAGE is not set
 CONFIG_I2C_GPIO=m
-CONFIG_KERNEL_START=0xc2000000
+CONFIG_KERNEL_START=0xc0000000
 CONFIG_KGDB=y
 CONFIG_LATENCYTOP=y
 CONFIG_LEDS_TRIGGER_DEFAULT_ON=y
@@ -28,7 +29,6 @@ CONFIG_MAX_ACTIVE_REGIONS=32
 # CONFIG_NEED_DMA_MAP_STATE is not set
 # CONFIG_NEED_PER_CPU_EMBED_FIRST_CHUNK is not set
 CONFIG_PAGE_OFFSET=0xc0000000
-CONFIG_PHYSICAL_START=0x02000000
 # CONFIG_PHYS_ADDR_T_64BIT is not set
 # CONFIG_PPC64 is not set
 # CONFIG_PPC_970_NAP is not set
diff --git a/debian.master/config/powerpc/config.flavour.powerpc-smp b/debian.master/config/powerpc/config.flavour.powerpc-smp
index 9ec1297..f84bc80 100644
--- a/debian.master/config/powerpc/config.flavour.powerpc-smp
+++ b/debian.master/config/powerpc/config.flavour.powerpc-smp
@@ -6,6 +6,7 @@
 # CONFIG_ARCH_PHYS_ADDR_T_64BIT is not set
 # CONFIG_ATA_NONSTANDARD is not set
 CONFIG_CFG80211_REG_DEBUG=y
+# CONFIG_CRASH_DUMP is not set
 CONFIG_CRYPTO_LZO=m
 CONFIG_FB_SYS_COPYAREA=m
 CONFIG_FB_SYS_FILLRECT=m
@@ -17,7 +18,7 @@ CONFIG_GENERIC_TBSYNC=y
 # CONFIG_HP_ILO is not set
 # CONFIG_HUGETLB_PAGE is not set
 CONFIG_I2C_GPIO=m
-CONFIG_KERNEL_START=0xc2000000
+CONFIG_KERNEL_START=0xc0000000
 # CONFIG_KGDB is not set
 # CONFIG_LATENCYTOP is not set
 # CONFIG_LEDS_TRIGGER_DEFAULT_ON is not set
@@ -29,7 +30,6 @@ CONFIG_MUTEX_SPIN_ON_OWNER=y
 # CONFIG_NEED_PER_CPU_EMBED_FIRST_CHUNK is not set
 CONFIG_NR_CPUS=4
 CONFIG_PAGE_OFFSET=0xc0000000
-CONFIG_PHYSICAL_START=0x02000000
 # CONFIG_PHYS_ADDR_T_64BIT is not set
 # CONFIG_PPC64 is not set
 # CONFIG_PPC_970_NAP is not set
diff --git a/debian.master/config/powerpc/config.flavour.powerpc64-smp b/debian.master/config/powerpc/config.flavour.powerpc64-smp
index b23a0a0..89d3151 100644
--- a/debian.master/config/powerpc/config.flavour.powerpc64-smp
+++ b/debian.master/config/powerpc/config.flavour.powerpc64-smp
@@ -6,6 +6,7 @@ CONFIG_ARCH_NO_VIRT_TO_BUS=y
 CONFIG_ARCH_PHYS_ADDR_T_64BIT=y
 CONFIG_ATA_NONSTANDARD=y
 # CONFIG_CFG80211_REG_DEBUG is not set
+CONFIG_CRASH_DUMP=y
 CONFIG_CRYPTO_LZO=y
 CONFIG_FB_SYS_COPYAREA=y
 CONFIG_FB_SYS_FILLRECT=y
@@ -29,7 +30,6 @@ CONFIG_NEED_DMA_MAP_STATE=y
 CONFIG_NEED_PER_CPU_EMBED_FIRST_CHUNK=y
 CONFIG_NR_CPUS=1024
 CONFIG_PAGE_OFFSET=0xc000000000000000
-CONFIG_PHYSICAL_START=0x00000000
 CONFIG_PHYS_ADDR_T_64BIT=y
 CONFIG_PPC64=y
 CONFIG_PPC_970_NAP=y
diff --git a/debian.master/config/ppc64/config.common.ppc64 b/debian.master/config/ppc64/config.common.ppc64
index e16b1dd..4914ef9 100644
--- a/debian.master/config/ppc64/config.common.ppc64
+++ b/debian.master/config/ppc64/config.common.ppc64
@@ -42,6 +42,7 @@ CONFIG_CICADA_PHY=m
 # CONFIG_COMEDI is not set
 CONFIG_COMPACTION=y
 CONFIG_CPU_FREQ_STAT=m
+CONFIG_CRASH_DUMP=y
 CONFIG_CRC_T10DIF=m
 # CONFIG_CRYPTO_CCM is not set
 # CONFIG_CRYPTO_CTR is not set