diff --git a/debian.master/config/amd64/config.common.amd64 b/debian.master/config/amd64/config.common.amd64
index 8ea6288..a721681 100644
--- a/debian.master/config/amd64/config.common.amd64
+++ b/debian.master/config/amd64/config.common.amd64
@@ -59,6 +59,7 @@ CONFIG_DT3155=m
 # CONFIG_DVB_USB_DIBUSB_MB_FAULTY is not set
 # CONFIG_DVB_USB_EC168 is not set
 # CONFIG_EZX_PCAP is not set
+CONFIG_FAT_FS=m
 CONFIG_FB_3DFX=m
 CONFIG_FB_ATY=m
 CONFIG_FB_ATY128=m
@@ -152,6 +153,8 @@ CONFIG_NEED_DMA_MAP_STATE=y
 CONFIG_NEED_PER_CPU_EMBED_FIRST_CHUNK=y
 CONFIG_NET_POCKET=y
 CONFIG_NL80211_TESTMODE=y
+CONFIG_NLS_CODEPAGE_437=m
+CONFIG_NLS_ISO8859_1=m
 CONFIG_NODES_SHIFT=6
 CONFIG_NOP_USB_XCEIV=m
 CONFIG_NVRAM=m
@@ -277,6 +280,7 @@ CONFIG_USB_SN9C102=m
 CONFIG_USB_STV680=m
 CONFIG_USB_UHCI_HCD=y
 CONFIG_USB_ZC0301=m
+CONFIG_VFAT_FS=m
 CONFIG_VGASTATE=m
 CONFIG_VGA_ARB_MAX_GPUS=16
 CONFIG_VGA_CONSOLE=y
diff --git a/debian.master/config/armel/config.common.armel b/debian.master/config/armel/config.common.armel
index c84c0ff..692cb51 100644
--- a/debian.master/config/armel/config.common.armel
+++ b/debian.master/config/armel/config.common.armel
@@ -56,6 +56,7 @@ CONFIG_DVB_FE_CUSTOMISE=y
 # CONFIG_DVB_USB_DIBUSB_MB_FAULTY is not set
 CONFIG_DVB_USB_EC168=m
 CONFIG_EZX_PCAP=y
+CONFIG_FAT_FS=y
 CONFIG_FB_3DFX=m
 CONFIG_FB_ATY=m
 CONFIG_FB_ATY128=m
@@ -138,6 +139,8 @@ CONFIG_NATIONAL_PHY=y
 CONFIG_NEED_DMA_MAP_STATE=y
 # CONFIG_NET_POCKET is not set
 # CONFIG_NL80211_TESTMODE is not set
+CONFIG_NLS_CODEPAGE_437=y
+CONFIG_NLS_ISO8859_1=y
 CONFIG_NOP_USB_XCEIV=y
 CONFIG_NVRAM=m
 CONFIG_PAGE_OFFSET=0xC0000000
@@ -259,6 +262,7 @@ CONFIG_USB_SI470X=m
 # CONFIG_USB_STV680 is not set
 CONFIG_USB_UHCI_HCD=m
 # CONFIG_USB_ZC0301 is not set
+CONFIG_VFAT_FS=y
 # CONFIG_VGASTATE is not set
 CONFIG_VGA_ARB_MAX_GPUS=16
 # CONFIG_VGA_CONSOLE is not set
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index 80de39d..893850f 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -1507,7 +1507,6 @@ CONFIG_FANOTIFY_ACCESS_PERMISSIONS=y
 CONFIG_FARSYNC=m
 CONFIG_FAT_DEFAULT_CODEPAGE=437
 CONFIG_FAT_DEFAULT_IOCHARSET="iso8859-1"
-CONFIG_FAT_FS=m
 # CONFIG_FAULT_INJECTION is not set
 CONFIG_FB=y
 # CONFIG_FB_3DFX_ACCEL is not set
@@ -3452,7 +3451,6 @@ CONFIG_NLS=y
 CONFIG_NLS_ASCII=m
 CONFIG_NLS_CODEPAGE_1250=m
 CONFIG_NLS_CODEPAGE_1251=m
-CONFIG_NLS_CODEPAGE_437=m
 CONFIG_NLS_CODEPAGE_737=m
 CONFIG_NLS_CODEPAGE_775=m
 CONFIG_NLS_CODEPAGE_850=m
@@ -3473,7 +3471,6 @@ CONFIG_NLS_CODEPAGE_936=m
 CONFIG_NLS_CODEPAGE_949=m
 CONFIG_NLS_CODEPAGE_950=m
 CONFIG_NLS_DEFAULT="utf8"
-CONFIG_NLS_ISO8859_1=m
 CONFIG_NLS_ISO8859_13=m
 CONFIG_NLS_ISO8859_14=m
 CONFIG_NLS_ISO8859_15=m
@@ -5529,7 +5526,6 @@ CONFIG_V4L_USB_DRIVERS=y
 CONFIG_VECTORS_BASE=0xffff0000
 CONFIG_VERSION_SIGNATURE=""
 CONFIG_VETH=m
-CONFIG_VFAT_FS=m
 CONFIG_VFP=y
 CONFIG_VFPv3=y
 # CONFIG_VGACON_SOFT_SCROLLBACK is not set
diff --git a/debian.master/config/i386/config.common.i386 b/debian.master/config/i386/config.common.i386
index aa1429c..8d64239 100644
--- a/debian.master/config/i386/config.common.i386
+++ b/debian.master/config/i386/config.common.i386
@@ -59,6 +59,7 @@ CONFIG_DT3155=m
 # CONFIG_DVB_USB_DIBUSB_MB_FAULTY is not set
 # CONFIG_DVB_USB_EC168 is not set
 # CONFIG_EZX_PCAP is not set
+CONFIG_FAT_FS=m
 CONFIG_FB_3DFX=m
 CONFIG_FB_ATY=m
 CONFIG_FB_ATY128=m
@@ -151,6 +152,8 @@ CONFIG_NEED_DMA_MAP_STATE=y
 CONFIG_NEED_PER_CPU_EMBED_FIRST_CHUNK=y
 CONFIG_NET_POCKET=y
 CONFIG_NL80211_TESTMODE=y
+CONFIG_NLS_CODEPAGE_437=m
+CONFIG_NLS_ISO8859_1=m
 CONFIG_NOP_USB_XCEIV=m
 CONFIG_NR_CPUS=8
 CONFIG_NVRAM=m
@@ -276,6 +279,7 @@ CONFIG_USB_SN9C102=m
 CONFIG_USB_STV680=m
 CONFIG_USB_UHCI_HCD=y
 CONFIG_USB_ZC0301=m
+CONFIG_VFAT_FS=m
 CONFIG_VGASTATE=m
 CONFIG_VGA_ARB_MAX_GPUS=16
 CONFIG_VGA_CONSOLE=y
diff --git a/debian.master/config/powerpc/config.common.powerpc b/debian.master/config/powerpc/config.common.powerpc
index 2b2ed21..b877fb6 100644
--- a/debian.master/config/powerpc/config.common.powerpc
+++ b/debian.master/config/powerpc/config.common.powerpc
@@ -54,6 +54,7 @@ CONFIG_DRM_RADEON=m
 CONFIG_DVB_USB_DIBUSB_MB_FAULTY=y
 # CONFIG_DVB_USB_EC168 is not set
 # CONFIG_EZX_PCAP is not set
+CONFIG_FAT_FS=m
 CONFIG_FB_3DFX=y
 CONFIG_FB_ATY128=m
 CONFIG_FB_BACKLIGHT=y
@@ -135,6 +136,8 @@ CONFIG_MTD_SM_COMMON=m
 CONFIG_NATIONAL_PHY=m
 CONFIG_NET_POCKET=y
 CONFIG_NL80211_TESTMODE=y
+CONFIG_NLS_CODEPAGE_437=m
+CONFIG_NLS_ISO8859_1=m
 CONFIG_NODES_SHIFT=8
 CONFIG_NOP_USB_XCEIV=m
 CONFIG_NVRAM=y
@@ -257,6 +260,7 @@ CONFIG_USB_OHCI_BIG_ENDIAN_MMIO=y
 # CONFIG_USB_SI470X is not set
 CONFIG_USB_SN9C102=m
 CONFIG_USB_UHCI_HCD=y
+CONFIG_VFAT_FS=m
 CONFIG_VGASTATE=m
 CONFIG_VGA_ARB_MAX_GPUS=16
 CONFIG_VGA_CONSOLE=y
diff --git a/debian.master/config/ppc64/config.common.ppc64 b/debian.master/config/ppc64/config.common.ppc64
index 351573c..54fd146 100644
--- a/debian.master/config/ppc64/config.common.ppc64
+++ b/debian.master/config/ppc64/config.common.ppc64
@@ -59,6 +59,7 @@ CONFIG_DRM_RADEON_KMS=y
 CONFIG_DVB_USB_DIBUSB_MB_FAULTY=y
 # CONFIG_DVB_USB_EC168 is not set
 # CONFIG_EZX_PCAP is not set
+CONFIG_FAT_FS=m
 CONFIG_FB_3DFX=y
 CONFIG_FB_ATY=y
 CONFIG_FB_ATY128=y
@@ -155,6 +156,8 @@ CONFIG_NEED_DMA_MAP_STATE=y
 CONFIG_NEED_PER_CPU_EMBED_FIRST_CHUNK=y
 CONFIG_NET_POCKET=y
 CONFIG_NL80211_TESTMODE=y
+CONFIG_NLS_CODEPAGE_437=m
+CONFIG_NLS_ISO8859_1=m
 CONFIG_NODES_SHIFT=8
 CONFIG_NOP_USB_XCEIV=m
 CONFIG_NR_CPUS=1024
@@ -296,6 +299,7 @@ CONFIG_USB_OHCI_HCD_PPC_OF_LE=y
 # CONFIG_USB_SI470X is not set
 CONFIG_USB_SN9C102=m
 CONFIG_USB_UHCI_HCD=y
+CONFIG_VFAT_FS=m
 CONFIG_VGASTATE=m
 CONFIG_VGA_ARB_MAX_GPUS=64
 CONFIG_VGA_CONSOLE=y