diff --git a/debian.master/config/amd64/config.common.amd64 b/debian.master/config/amd64/config.common.amd64
index 8bd4377..23a18ff 100644
--- a/debian.master/config/amd64/config.common.amd64
+++ b/debian.master/config/amd64/config.common.amd64
@@ -236,12 +236,16 @@ CONFIG_UNUSED_SYMBOLS=y
 CONFIG_USB_ARCH_HAS_EHCI=y
 CONFIG_USB_ARCH_HAS_OHCI=y
 CONFIG_USB_ARCH_HAS_XHCI=y
+CONFIG_USB_EHCI_HCD_PLATFORM=y
 CONFIG_USB_GADGET=m
 # CONFIG_USB_G_MULTI is not set
+CONFIG_USB_HCD_BCMA=m
+CONFIG_USB_HCD_SSB=m
 CONFIG_USB_MUSB_HDRC=m
 CONFIG_USB_MUSB_TUSB6010=m
 # CONFIG_USB_OHCI_BIG_ENDIAN_DESC is not set
 # CONFIG_USB_OHCI_BIG_ENDIAN_MMIO is not set
+CONFIG_USB_OHCI_HCD_PLATFORM=y
 CONFIG_VFAT_FS=y
 CONFIG_VGASTATE=m
 CONFIG_VGA_ARB_MAX_GPUS=16
diff --git a/debian.master/config/armel/config.common.armel b/debian.master/config/armel/config.common.armel
index a67c810..e76ed0a 100644
--- a/debian.master/config/armel/config.common.armel
+++ b/debian.master/config/armel/config.common.armel
@@ -236,12 +236,16 @@ CONFIG_UNUSED_SYMBOLS=y
 CONFIG_USB_ARCH_HAS_EHCI=y
 CONFIG_USB_ARCH_HAS_OHCI=y
 # CONFIG_USB_ARCH_HAS_XHCI is not set
+# CONFIG_USB_EHCI_HCD_PLATFORM is not set
 CONFIG_USB_GADGET=y
 CONFIG_USB_G_MULTI=m
+# CONFIG_USB_HCD_BCMA is not set
+# CONFIG_USB_HCD_SSB is not set
 CONFIG_USB_MUSB_HDRC=m
 # CONFIG_USB_MUSB_TUSB6010 is not set
 # CONFIG_USB_OHCI_BIG_ENDIAN_DESC is not set
 # CONFIG_USB_OHCI_BIG_ENDIAN_MMIO is not set
+# CONFIG_USB_OHCI_HCD_PLATFORM is not set
 CONFIG_VFAT_FS=y
 # CONFIG_VGASTATE is not set
 # CONFIG_VIDEO_HELPER_CHIPS_AUTO is not set
diff --git a/debian.master/config/armhf/config.common.armhf b/debian.master/config/armhf/config.common.armhf
index 2f40ef4..58fa449 100644
--- a/debian.master/config/armhf/config.common.armhf
+++ b/debian.master/config/armhf/config.common.armhf
@@ -87,9 +87,11 @@ CONFIG_STANDALONE=y
 CONFIG_TWL4030_CORE=y
 CONFIG_TWL4030_USB=y
 # CONFIG_USB_ARCH_HAS_XHCI is not set
+# CONFIG_USB_EHCI_HCD_PLATFORM is not set
 # CONFIG_USB_MUSB_TUSB6010 is not set
 # CONFIG_USB_OHCI_BIG_ENDIAN_DESC is not set
 # CONFIG_USB_OHCI_BIG_ENDIAN_MMIO is not set
+# CONFIG_USB_OHCI_HCD_PLATFORM is not set
 CONFIG_VFAT_FS=y
 # CONFIG_VGASTATE is not set
 # CONFIG_VIDEO_HELPER_CHIPS_AUTO is not set
diff --git a/debian.master/config/armhf/config.flavour.highbank b/debian.master/config/armhf/config.flavour.highbank
index 8fea12b..68ae618 100644
--- a/debian.master/config/armhf/config.flavour.highbank
+++ b/debian.master/config/armhf/config.flavour.highbank
@@ -156,6 +156,8 @@ CONFIG_SWP_EMULATE=y
 # CONFIG_USB_ARCH_HAS_OHCI is not set
 CONFIG_USB_GADGET=m
 # CONFIG_USB_G_MULTI is not set
+CONFIG_USB_HCD_BCMA=m
+CONFIG_USB_HCD_SSB=m
 # CONFIG_USB_MUSB_HDRC is not set
 # CONFIG_VIRT_DRIVERS is not set
 # CONFIG_VLAN_8021Q_GVRP is not set
diff --git a/debian.master/config/armhf/config.flavour.omap b/debian.master/config/armhf/config.flavour.omap
index 8acd151..ea30456 100644
--- a/debian.master/config/armhf/config.flavour.omap
+++ b/debian.master/config/armhf/config.flavour.omap
@@ -156,6 +156,8 @@ CONFIG_USB_ARCH_HAS_EHCI=y
 CONFIG_USB_ARCH_HAS_OHCI=y
 CONFIG_USB_GADGET=y
 CONFIG_USB_G_MULTI=m
+# CONFIG_USB_HCD_BCMA is not set
+# CONFIG_USB_HCD_SSB is not set
 CONFIG_USB_MUSB_HDRC=m
 CONFIG_VIRT_DRIVERS=y
 CONFIG_VLAN_8021Q_GVRP=y
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index be4d1a0..44b36e4 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -5761,7 +5761,6 @@ CONFIG_USB_EHCI_BIG_ENDIAN_DESC=y
 CONFIG_USB_EHCI_BIG_ENDIAN_MMIO=y
 CONFIG_USB_EHCI_HCD=y
 CONFIG_USB_EHCI_HCD_OMAP=y
-CONFIG_USB_EHCI_HCD_PLATFORM=y
 CONFIG_USB_EHCI_HCD_PPC_OF=y
 CONFIG_USB_EHCI_ROOT_HUB_TT=y
 CONFIG_USB_EHCI_TT_NEWSCHED=y
@@ -5849,8 +5848,6 @@ CONFIG_USB_G_NOKIA=m
 CONFIG_USB_G_PRINTER=m
 CONFIG_USB_G_SERIAL=m
 CONFIG_USB_G_WEBCAM=m
-CONFIG_USB_HCD_BCMA=m
-CONFIG_USB_HCD_SSB=m
 CONFIG_USB_HID=m
 CONFIG_USB_HIDDEV=y
 CONFIG_USB_HSO=m
@@ -5911,7 +5908,6 @@ CONFIG_USB_NET_ZAURUS=m
 CONFIG_USB_OHCI_HCD=y
 CONFIG_USB_OHCI_HCD_OMAP3=y
 CONFIG_USB_OHCI_HCD_PCI=y
-CONFIG_USB_OHCI_HCD_PLATFORM=y
 CONFIG_USB_OHCI_HCD_PPC_OF=y
 CONFIG_USB_OHCI_HCD_PPC_OF_BE=y
 CONFIG_USB_OHCI_LITTLE_ENDIAN=y
diff --git a/debian.master/config/i386/config.common.i386 b/debian.master/config/i386/config.common.i386
index e25ebc2..0dd1848 100644
--- a/debian.master/config/i386/config.common.i386
+++ b/debian.master/config/i386/config.common.i386
@@ -235,12 +235,16 @@ CONFIG_UNUSED_SYMBOLS=y
 CONFIG_USB_ARCH_HAS_EHCI=y
 CONFIG_USB_ARCH_HAS_OHCI=y
 CONFIG_USB_ARCH_HAS_XHCI=y
+CONFIG_USB_EHCI_HCD_PLATFORM=y
 CONFIG_USB_GADGET=m
 # CONFIG_USB_G_MULTI is not set
+CONFIG_USB_HCD_BCMA=m
+CONFIG_USB_HCD_SSB=m
 CONFIG_USB_MUSB_HDRC=m
 CONFIG_USB_MUSB_TUSB6010=m
 # CONFIG_USB_OHCI_BIG_ENDIAN_DESC is not set
 # CONFIG_USB_OHCI_BIG_ENDIAN_MMIO is not set
+CONFIG_USB_OHCI_HCD_PLATFORM=y
 CONFIG_VFAT_FS=y
 CONFIG_VGASTATE=m
 CONFIG_VGA_ARB_MAX_GPUS=16
diff --git a/debian.master/config/powerpc/config.common.powerpc b/debian.master/config/powerpc/config.common.powerpc
index 02cf011..5a41232 100644
--- a/debian.master/config/powerpc/config.common.powerpc
+++ b/debian.master/config/powerpc/config.common.powerpc
@@ -228,12 +228,16 @@ CONFIG_UNUSED_SYMBOLS=y
 CONFIG_USB_ARCH_HAS_EHCI=y
 CONFIG_USB_ARCH_HAS_OHCI=y
 CONFIG_USB_ARCH_HAS_XHCI=y
+CONFIG_USB_EHCI_HCD_PLATFORM=y
 CONFIG_USB_GADGET=m
 # CONFIG_USB_G_MULTI is not set
+CONFIG_USB_HCD_BCMA=m
+CONFIG_USB_HCD_SSB=m
 CONFIG_USB_MUSB_HDRC=m
 CONFIG_USB_MUSB_TUSB6010=m
 CONFIG_USB_OHCI_BIG_ENDIAN_DESC=y
 CONFIG_USB_OHCI_BIG_ENDIAN_MMIO=y
+CONFIG_USB_OHCI_HCD_PLATFORM=y
 # CONFIG_USB_OHCI_HCD_PPC_OF_LE is not set
 CONFIG_VFAT_FS=m
 CONFIG_VGASTATE=m
diff --git a/debian.master/config/ppc64/config.common.ppc64 b/debian.master/config/ppc64/config.common.ppc64
index 88875eb..fd03351 100644
--- a/debian.master/config/ppc64/config.common.ppc64
+++ b/debian.master/config/ppc64/config.common.ppc64
@@ -263,12 +263,16 @@ CONFIG_UNUSED_SYMBOLS=y
 CONFIG_USB_ARCH_HAS_EHCI=y
 CONFIG_USB_ARCH_HAS_OHCI=y
 CONFIG_USB_ARCH_HAS_XHCI=y
+CONFIG_USB_EHCI_HCD_PLATFORM=y
 CONFIG_USB_GADGET=m
 # CONFIG_USB_G_MULTI is not set
+CONFIG_USB_HCD_BCMA=m
+CONFIG_USB_HCD_SSB=m
 CONFIG_USB_MUSB_HDRC=m
 CONFIG_USB_MUSB_TUSB6010=m
 CONFIG_USB_OHCI_BIG_ENDIAN_DESC=y
 CONFIG_USB_OHCI_BIG_ENDIAN_MMIO=y
+CONFIG_USB_OHCI_HCD_PLATFORM=y
 CONFIG_USB_OHCI_HCD_PPC_OF_LE=y
 CONFIG_VFAT_FS=m
 CONFIG_VGASTATE=m