diff --git a/debian.master/config/amd64/config.common.amd64 b/debian.master/config/amd64/config.common.amd64
index 1037c1a..ea5aa0f 100644
--- a/debian.master/config/amd64/config.common.amd64
+++ b/debian.master/config/amd64/config.common.amd64
@@ -161,7 +161,8 @@ CONFIG_USB_GADGET=m
 # CONFIG_USB_G_MULTI is not set
 CONFIG_USB_HCD_BCMA=m
 CONFIG_USB_HCD_SSB=m
-CONFIG_USB_MUSB_HDRC=m
+# CONFIG_USB_MUSB_AM35X is not set
+# CONFIG_USB_MUSB_DSPS is not set
 CONFIG_USB_MUSB_TUSB6010=m
 CONFIG_USB_OHCI_HCD_PLATFORM=y
 # CONFIG_USB_OTG is not set
diff --git a/debian.master/config/armhf/config.common.armhf b/debian.master/config/armhf/config.common.armhf
index f71103e..d10a810 100644
--- a/debian.master/config/armhf/config.common.armhf
+++ b/debian.master/config/armhf/config.common.armhf
@@ -44,7 +44,6 @@ CONFIG_SND_SOC_TWL6040=y
 # CONFIG_SPI_PXA2XX_PCI is not set
 CONFIG_STANDALONE=y
 # CONFIG_USB_ARCH_HAS_XHCI is not set
-# CONFIG_USB_MUSB_TUSB6010 is not set
 CONFIG_USB_OTG=y
 # CONFIG_VFIO_IOMMU_TYPE1 is not set
 # CONFIG_VGASTATE is not set
diff --git a/debian.master/config/armhf/config.flavour.highbank b/debian.master/config/armhf/config.flavour.highbank
index 47ea16f..2ae07b9 100644
--- a/debian.master/config/armhf/config.flavour.highbank
+++ b/debian.master/config/armhf/config.flavour.highbank
@@ -128,8 +128,6 @@ CONFIG_SOUND=m
 CONFIG_SWP_EMULATE=y
 # CONFIG_SYSCTL_SYSCALL is not set
 # CONFIG_SYSV68_PARTITION is not set
-CONFIG_TWL4030_USB=m
-CONFIG_TWL6030_USB=m
 # CONFIG_TWL6040_CORE is not set
 # CONFIG_ULTRIX_PARTITION is not set
 # CONFIG_UNIXWARE_DISKLABEL is not set
@@ -140,9 +138,9 @@ CONFIG_USB_GADGET=m
 # CONFIG_USB_G_MULTI is not set
 CONFIG_USB_HCD_BCMA=m
 CONFIG_USB_HCD_SSB=m
-# CONFIG_USB_INVENTRA_DMA is not set
-CONFIG_USB_MUSB_HDRC=m
-CONFIG_USB_MUSB_OMAP2PLUS=m
+# CONFIG_USB_MUSB_AM35X is not set
+# CONFIG_USB_MUSB_DSPS is not set
+# CONFIG_USB_MUSB_TUSB6010 is not set
 CONFIG_USB_OHCI_HCD_PLATFORM=y
 CONFIG_USB_SUSPEND=y
 CONFIG_VERSION_SIGNATURE="Ubuntu 3.2.0-1800.1-highbank 3.2.9"
diff --git a/debian.master/config/armhf/config.flavour.multiarm b/debian.master/config/armhf/config.flavour.multiarm
index f56be50..112eb27 100644
--- a/debian.master/config/armhf/config.flavour.multiarm
+++ b/debian.master/config/armhf/config.flavour.multiarm
@@ -1,5 +1,5 @@
 #
-# Config options for config.flavour.omap automatically generated by splitconfig.pl
+# Config options for config.flavour.multiarm automatically generated by splitconfig.pl
 #
 CONFIG_ABX500_CORE=y
 CONFIG_ACORN_PARTITION=y
@@ -128,8 +128,6 @@ CONFIG_SUN_PARTITION=y
 # CONFIG_SWP_EMULATE is not set
 CONFIG_SYSCTL_SYSCALL=y
 CONFIG_SYSV68_PARTITION=y
-CONFIG_TWL4030_USB=y
-CONFIG_TWL6030_USB=y
 CONFIG_TWL6040_CORE=y
 CONFIG_ULTRIX_PARTITION=y
 CONFIG_UNIXWARE_DISKLABEL=y
@@ -140,9 +138,9 @@ CONFIG_USB_GADGET=y
 CONFIG_USB_G_MULTI=m
 # CONFIG_USB_HCD_BCMA is not set
 # CONFIG_USB_HCD_SSB is not set
-CONFIG_USB_INVENTRA_DMA=y
-CONFIG_USB_MUSB_HDRC=y
-CONFIG_USB_MUSB_OMAP2PLUS=y
+CONFIG_USB_MUSB_AM35X=m
+CONFIG_USB_MUSB_DSPS=m
+CONFIG_USB_MUSB_TUSB6010=m
 # CONFIG_USB_OHCI_HCD_PLATFORM is not set
 # CONFIG_USB_SUSPEND is not set
 CONFIG_VERSION_SIGNATURE=""
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index aaf41b0..b2306cd 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -5819,7 +5819,9 @@ CONFIG_TUN=y
 CONFIG_TWL4030_CORE=y
 CONFIG_TWL4030_MADC=m
 CONFIG_TWL4030_POWER=y
+CONFIG_TWL4030_USB=m
 CONFIG_TWL4030_WATCHDOG=m
+CONFIG_TWL6030_USB=m
 CONFIG_TYPHOON=m
 # CONFIG_UACCESS_WITH_MEMCPY is not set
 CONFIG_UBIFS_FS=m
@@ -5986,6 +5988,7 @@ CONFIG_USB_HWA_HCD=m
 CONFIG_USB_IDMOUSE=m
 # CONFIG_USB_IMX is not set
 # CONFIG_USB_IMX21_HCD is not set
+# CONFIG_USB_INVENTRA_DMA is not set
 CONFIG_USB_IOWARRIOR=m
 CONFIG_USB_IPHETH=m
 CONFIG_USB_IRDA=m
@@ -6012,8 +6015,8 @@ CONFIG_USB_MIDI_GADGET=m
 CONFIG_USB_MON=m
 CONFIG_USB_MOUSE=m
 CONFIG_USB_MR800=m
-# CONFIG_USB_MUSB_AM35X is not set
-# CONFIG_USB_MUSB_DSPS is not set
+CONFIG_USB_MUSB_HDRC=m
+CONFIG_USB_MUSB_OMAP2PLUS=m
 CONFIG_USB_MV_UDC=m
 CONFIG_USB_MXS_PHY=y
 CONFIG_USB_NET2272=m
@@ -6164,6 +6167,7 @@ CONFIG_USB_SWITCH_FSA9480=m
 CONFIG_USB_TEST=m
 CONFIG_USB_TMC=m
 CONFIG_USB_TRANCEVIBRATOR=m
+CONFIG_USB_TUSB_OMAP_DMA=y
 CONFIG_USB_U132_HCD=m
 CONFIG_USB_UEAGLEATM=m
 CONFIG_USB_UHCI_HCD=y
diff --git a/debian.master/config/i386/config.common.i386 b/debian.master/config/i386/config.common.i386
index 77d1bae..e22bc9e 100644
--- a/debian.master/config/i386/config.common.i386
+++ b/debian.master/config/i386/config.common.i386
@@ -160,7 +160,8 @@ CONFIG_USB_GADGET=m
 # CONFIG_USB_G_MULTI is not set
 CONFIG_USB_HCD_BCMA=m
 CONFIG_USB_HCD_SSB=m
-CONFIG_USB_MUSB_HDRC=m
+# CONFIG_USB_MUSB_AM35X is not set
+# CONFIG_USB_MUSB_DSPS is not set
 CONFIG_USB_MUSB_TUSB6010=m
 CONFIG_USB_OHCI_HCD_PLATFORM=y
 # CONFIG_USB_OTG is not set