diff --git a/debian.master/config/amd64/config.common.amd64 b/debian.master/config/amd64/config.common.amd64
index c722d12..bc955e4 100644
--- a/debian.master/config/amd64/config.common.amd64
+++ b/debian.master/config/amd64/config.common.amd64
@@ -6,7 +6,10 @@ CONFIG_AC97_BUS=m
 CONFIG_ACPI_BLACKLIST_YEAR=0
 CONFIG_ARCH_DEFCONFIG="arch/x86/configs/x86_64_defconfig"
 CONFIG_ARCH_HWEIGHT_CFLAGS="-fcall-saved-rdi -fcall-saved-rsi -fcall-saved-rdx -fcall-saved-rcx -fcall-saved-r8 -fcall-saved-r9 -fcall-saved-r10 -fcall-saved-r11"
+CONFIG_ARCH_KEYSTONE=y
 # CONFIG_ARCH_NEEDS_CPU_IDLE_COUPLED is not set
+CONFIG_ARCH_OMAP3=y
+CONFIG_ARCH_OMAP4=y
 CONFIG_ARCH_PHYS_ADDR_T_64BIT=y
 CONFIG_ARCH_ROCKCHIP=y
 CONFIG_ARCH_SELECT_MEMORY_MODEL=y
@@ -28,6 +31,7 @@ CONFIG_FB_SYS_COPYAREA=m
 CONFIG_FB_SYS_FILLRECT=m
 CONFIG_FB_SYS_IMAGEBLIT=m
 # CONFIG_FONTS is not set
+CONFIG_FORCE_MAX_ZONEORDER=12
 CONFIG_FUNCTION_TRACER=y
 CONFIG_GPIO_GENERIC=m
 # CONFIG_HAVE_AOUT is not set
@@ -53,6 +57,7 @@ CONFIG_MTD_NAND=m
 CONFIG_MTD_NAND_BCH=m
 CONFIG_MTD_NAND_ECC=m
 CONFIG_MTD_NAND_IDS=m
+CONFIG_MTD_NAND_OMAP_BCH8=y
 CONFIG_MTD_SM_COMMON=m
 CONFIG_MUSB_PIO_ONLY=y
 CONFIG_NL80211_TESTMODE=y
@@ -60,6 +65,7 @@ CONFIG_NOP_USB_XCEIV=m
 # CONFIG_NO_HZ_IDLE is not set
 CONFIG_NR_CPUS=256
 CONFIG_OMAP_CONTROL_USB=m
+CONFIG_OMAP_PM_NOOP=y
 CONFIG_OUTPUT_FORMAT="elf64-x86-64"
 CONFIG_PCCARD=m
 CONFIG_PHYS_ADDR_T_64BIT=y
@@ -88,8 +94,12 @@ CONFIG_SND_SOC=m
 CONFIG_SND_SOC_HDMI_CODEC=m
 CONFIG_SND_SOC_I2C_AND_SPI=m
 CONFIG_SND_SOC_SGTL5000=m
+CONFIG_SND_SOC_TWL4030=y
 CONFIG_SND_SOC_TWL6040=m
 CONFIG_SND_TIMER=m
+CONFIG_SOC_AM33XX=y
+CONFIG_SOC_AM43XX=y
+CONFIG_SOC_OMAP5=y
 CONFIG_SOUND=m
 CONFIG_SPARSEMEM_MANUAL=y
 CONFIG_SPI_PXA2XX_PCI=m
@@ -103,6 +113,7 @@ CONFIG_USB_GADGET=m
 CONFIG_USB_HCD_BCMA=m
 CONFIG_USB_HCD_SSB=m
 CONFIG_USB_MUSB_HDRC=m
+CONFIG_USB_MUSB_OMAP2PLUS=m
 CONFIG_USB_MUSB_TUSB6010=m
 CONFIG_USB_OHCI_HCD_PLATFORM=y
 CONFIG_VFIO_IOMMU_TYPE1=m
diff --git a/debian.master/config/armhf/config.common.armhf b/debian.master/config/armhf/config.common.armhf
index 759c29b..36be762 100644
--- a/debian.master/config/armhf/config.common.armhf
+++ b/debian.master/config/armhf/config.common.armhf
@@ -1,7 +1,7 @@
 #
 # Config options for config.common.armhf automatically generated by splitconfig.pl
 #
-CONFIG_ARCH_NEEDS_CPU_IDLE_COUPLED=y
+# CONFIG_ARCH_KEYSTONE is not set
 # CONFIG_ARCH_ROCKCHIP is not set
 # CONFIG_ARCH_SELECT_MEMORY_MODEL is not set
 # CONFIG_ARCH_SPARSEMEM_DEFAULT is not set
@@ -17,6 +17,7 @@ CONFIG_FB_SYS_COPYAREA=y
 CONFIG_FB_SYS_FILLRECT=y
 CONFIG_FB_SYS_IMAGEBLIT=y
 CONFIG_FONTS=y
+CONFIG_FORCE_MAX_ZONEORDER=11
 # CONFIG_FUNCTION_TRACER is not set
 CONFIG_HAVE_AOUT=y
 # CONFIG_HAVE_BOOTMEM_INFO_NODE is not set
@@ -65,10 +66,11 @@ CONFIG_SND_COMPRESS_OFFLOAD=y
 CONFIG_SND_PCM=y
 # CONFIG_SND_SBAWE_SEQ is not set
 CONFIG_SND_SOC=y
-CONFIG_SND_SOC_HDMI_CODEC=y
 CONFIG_SND_SOC_I2C_AND_SPI=y
-CONFIG_SND_SOC_TWL6040=y
 CONFIG_SND_TIMER=y
+# CONFIG_SOC_AM33XX is not set
+# CONFIG_SOC_AM43XX is not set
+# CONFIG_SOC_OMAP5 is not set
 CONFIG_SOUND=y
 # CONFIG_STACK_TRACER is not set
 CONFIG_STANDALONE=y
diff --git a/debian.master/config/armhf/config.flavour.generic b/debian.master/config/armhf/config.flavour.generic
index ddcf546..333b200 100644
--- a/debian.master/config/armhf/config.flavour.generic
+++ b/debian.master/config/armhf/config.flavour.generic
@@ -3,7 +3,10 @@
 #
 CONFIG_AC97_BUS=y
 CONFIG_ARCH_MXC=y
+CONFIG_ARCH_NEEDS_CPU_IDLE_COUPLED=y
 CONFIG_ARCH_NR_GPIO=1024
+CONFIG_ARCH_OMAP3=y
+CONFIG_ARCH_OMAP4=y
 # CONFIG_ARCH_PHYS_ADDR_T_64BIT is not set
 CONFIG_ARCH_TEGRA=y
 # CONFIG_ARM_LPAE is not set
@@ -13,15 +16,21 @@ CONFIG_FB_DDC=m
 CONFIG_FB_SVGALIB=m
 CONFIG_GPIO_GENERIC=y
 # CONFIG_HUGETLB_PAGE is not set
+CONFIG_MTD_NAND_OMAP_BCH8=y
 CONFIG_MTD_SM_COMMON=m
 # CONFIG_MUSB_PIO_ONLY is not set
+CONFIG_OMAP_PM_NOOP=y
 CONFIG_PCI_SYSCALL=y
 # CONFIG_PHYS_ADDR_T_64BIT is not set
 CONFIG_SND_EMU10K1_SEQ=m
 CONFIG_SND_OPL3_LIB_SEQ=m
+CONFIG_SND_SOC_HDMI_CODEC=y
 CONFIG_SND_SOC_SGTL5000=y
+CONFIG_SND_SOC_TWL4030=y
+CONFIG_SND_SOC_TWL6040=y
 CONFIG_SPI_PXA2XX_PCI=m
 CONFIG_TEGRA_HOST1X=m
 CONFIG_USB_INVENTRA_DMA=y
+CONFIG_USB_MUSB_OMAP2PLUS=m
 CONFIG_VGASTATE=m
 CONFIG_VIRTIO=y
diff --git a/debian.master/config/armhf/config.flavour.generic-lpae b/debian.master/config/armhf/config.flavour.generic-lpae
index 7446090c..4894999 100644
--- a/debian.master/config/armhf/config.flavour.generic-lpae
+++ b/debian.master/config/armhf/config.flavour.generic-lpae
@@ -3,7 +3,10 @@
 #
 CONFIG_AC97_BUS=m
 # CONFIG_ARCH_MXC is not set
-CONFIG_ARCH_NR_GPIO=512
+# CONFIG_ARCH_NEEDS_CPU_IDLE_COUPLED is not set
+CONFIG_ARCH_NR_GPIO=0
+# CONFIG_ARCH_OMAP3 is not set
+# CONFIG_ARCH_OMAP4 is not set
 CONFIG_ARCH_PHYS_ADDR_T_64BIT=y
 # CONFIG_ARCH_TEGRA is not set
 CONFIG_ARM_LPAE=y
@@ -13,15 +16,21 @@ CONFIG_COMPACTION=y
 # CONFIG_FB_SVGALIB is not set
 CONFIG_GPIO_GENERIC=m
 CONFIG_HUGETLB_PAGE=y
+# CONFIG_MTD_NAND_OMAP_BCH8 is not set
 # CONFIG_MTD_SM_COMMON is not set
 CONFIG_MUSB_PIO_ONLY=y
+# CONFIG_OMAP_PM_NOOP is not set
 # CONFIG_PCI_SYSCALL is not set
 CONFIG_PHYS_ADDR_T_64BIT=y
 # CONFIG_SND_EMU10K1_SEQ is not set
 # CONFIG_SND_OPL3_LIB_SEQ is not set
+CONFIG_SND_SOC_HDMI_CODEC=m
 CONFIG_SND_SOC_SGTL5000=m
+CONFIG_SND_SOC_TWL4030=m
+CONFIG_SND_SOC_TWL6040=m
 # CONFIG_SPI_PXA2XX_PCI is not set
 # CONFIG_TEGRA_HOST1X is not set
 # CONFIG_USB_INVENTRA_DMA is not set
+# CONFIG_USB_MUSB_OMAP2PLUS is not set
 # CONFIG_VGASTATE is not set
 CONFIG_VIRTIO=m
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index cd3c7cf..8310a6c 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -264,7 +264,6 @@ CONFIG_ARCH_HIGHBANK=y
 # CONFIG_ARCH_IOP32X is not set
 # CONFIG_ARCH_IOP33X is not set
 # CONFIG_ARCH_IXP4XX is not set
-CONFIG_ARCH_KEYSTONE=y
 # CONFIG_ARCH_KIRKWOOD is not set
 # CONFIG_ARCH_KS8695 is not set
 # CONFIG_ARCH_LPC32XX is not set
@@ -284,8 +283,6 @@ CONFIG_ARCH_OMAP=y
 # CONFIG_ARCH_OMAP1 is not set
 CONFIG_ARCH_OMAP2PLUS=y
 CONFIG_ARCH_OMAP2PLUS_TYPICAL=y
-CONFIG_ARCH_OMAP3=y
-CONFIG_ARCH_OMAP4=y
 # CONFIG_ARCH_ORION5X is not set
 CONFIG_ARCH_PROC_KCORE_TEXT=y
 # CONFIG_ARCH_PXA is not set
@@ -1972,7 +1969,6 @@ CONFIG_FONT_ACORN_8x8=y
 # CONFIG_FONT_SUN8x16 is not set
 CONFIG_FONT_SUPPORT=y
 CONFIG_FORCEDETH=m
-CONFIG_FORCE_MAX_ZONEORDER=12
 # CONFIG_FPE_FASTFPE is not set
 CONFIG_FPE_NWFPE=y
 # CONFIG_FPE_NWFPE_XP is not set
@@ -3718,7 +3714,6 @@ CONFIG_MTD_NAND_NANDSIM=m
 CONFIG_MTD_NAND_OMAP2=y
 CONFIG_MTD_NAND_OMAP_BCH=y
 # CONFIG_MTD_NAND_OMAP_BCH4 is not set
-CONFIG_MTD_NAND_OMAP_BCH8=y
 CONFIG_MTD_NAND_PLATFORM=m
 CONFIG_MTD_NAND_RICOH=m
 CONFIG_MTD_NAND_TMIO=m
@@ -4284,7 +4279,6 @@ CONFIG_OMAP_OCP2SCP=m
 CONFIG_OMAP_PACKAGE_CBB=y
 CONFIG_OMAP_PACKAGE_CBP=y
 CONFIG_OMAP_PACKAGE_CUS=y
-CONFIG_OMAP_PM_NOOP=y
 CONFIG_OMAP_REMOTEPROC=m
 CONFIG_OMAP_RESET_CLOCKS=y
 CONFIG_OMAP_USB2=y
@@ -5737,7 +5731,6 @@ CONFIG_SND_SOC_TLV320AIC32X4=m
 CONFIG_SND_SOC_TLV320AIC3X=m
 CONFIG_SND_SOC_TLV320DAC33=m
 CONFIG_SND_SOC_TPA6130A2=m
-CONFIG_SND_SOC_TWL4030=y
 CONFIG_SND_SOC_UDA134X=m
 CONFIG_SND_SOC_UDA1380=m
 CONFIG_SND_SOC_WL1273=m
@@ -5821,8 +5814,6 @@ CONFIG_SND_VX_LIB=m
 CONFIG_SND_WAVEFRONT=m
 CONFIG_SND_WSS_LIB=m
 CONFIG_SND_YMFPCI=m
-CONFIG_SOC_AM33XX=y
-CONFIG_SOC_AM43XX=y
 CONFIG_SOC_BUS=y
 CONFIG_SOC_CAMERA=m
 CONFIG_SOC_CAMERA_IMX074=m
@@ -5847,7 +5838,6 @@ CONFIG_SOC_HAS_REALTIME_COUNTER=y
 CONFIG_SOC_IMX6Q=y
 CONFIG_SOC_IMX6SL=y
 CONFIG_SOC_OMAP3430=y
-CONFIG_SOC_OMAP5=y
 CONFIG_SOC_STIH415=y
 CONFIG_SOC_STIH416=y
 CONFIG_SOC_TI81XX=y
@@ -6454,7 +6444,6 @@ CONFIG_USB_MR800=m
 CONFIG_USB_MUSB_DUAL_ROLE=y
 # CONFIG_USB_MUSB_GADGET is not set
 # CONFIG_USB_MUSB_HOST is not set
-CONFIG_USB_MUSB_OMAP2PLUS=m
 CONFIG_USB_MUSB_UX500=m
 CONFIG_USB_MV_U3D=m
 CONFIG_USB_MV_UDC=m
diff --git a/debian.master/config/i386/config.common.i386 b/debian.master/config/i386/config.common.i386
index bccefae..dfa0fa0 100644
--- a/debian.master/config/i386/config.common.i386
+++ b/debian.master/config/i386/config.common.i386
@@ -6,7 +6,10 @@ CONFIG_AC97_BUS=m
 CONFIG_ACPI_BLACKLIST_YEAR=2000
 CONFIG_ARCH_DEFCONFIG="arch/x86/configs/i386_defconfig"
 CONFIG_ARCH_HWEIGHT_CFLAGS="-fcall-saved-ecx -fcall-saved-edx"
+CONFIG_ARCH_KEYSTONE=y
 # CONFIG_ARCH_NEEDS_CPU_IDLE_COUPLED is not set
+CONFIG_ARCH_OMAP3=y
+CONFIG_ARCH_OMAP4=y
 CONFIG_ARCH_PHYS_ADDR_T_64BIT=y
 CONFIG_ARCH_ROCKCHIP=y
 CONFIG_ARCH_SELECT_MEMORY_MODEL=y
@@ -27,6 +30,7 @@ CONFIG_FB_SYS_COPYAREA=m
 CONFIG_FB_SYS_FILLRECT=m
 CONFIG_FB_SYS_IMAGEBLIT=m
 # CONFIG_FONTS is not set
+CONFIG_FORCE_MAX_ZONEORDER=12
 CONFIG_FUNCTION_TRACER=y
 CONFIG_GPIO_GENERIC=m
 CONFIG_HAVE_AOUT=y
@@ -52,6 +56,7 @@ CONFIG_MTD_NAND=m
 CONFIG_MTD_NAND_BCH=m
 CONFIG_MTD_NAND_ECC=m
 CONFIG_MTD_NAND_IDS=m
+CONFIG_MTD_NAND_OMAP_BCH8=y
 CONFIG_MTD_SM_COMMON=m
 CONFIG_MUSB_PIO_ONLY=y
 CONFIG_NL80211_TESTMODE=y
@@ -59,6 +64,7 @@ CONFIG_NOP_USB_XCEIV=m
 CONFIG_NO_HZ_IDLE=y
 CONFIG_NR_CPUS=8
 CONFIG_OMAP_CONTROL_USB=m
+CONFIG_OMAP_PM_NOOP=y
 CONFIG_OUTPUT_FORMAT="elf32-i386"
 CONFIG_PCCARD=m
 CONFIG_PHYS_ADDR_T_64BIT=y
@@ -86,8 +92,12 @@ CONFIG_SND_SOC=m
 CONFIG_SND_SOC_HDMI_CODEC=m
 CONFIG_SND_SOC_I2C_AND_SPI=m
 CONFIG_SND_SOC_SGTL5000=m
+CONFIG_SND_SOC_TWL4030=y
 CONFIG_SND_SOC_TWL6040=m
 CONFIG_SND_TIMER=m
+CONFIG_SOC_AM33XX=y
+CONFIG_SOC_AM43XX=y
+CONFIG_SOC_OMAP5=y
 CONFIG_SOUND=m
 # CONFIG_SPARSEMEM_MANUAL is not set
 CONFIG_SPI_PXA2XX_PCI=m
@@ -101,6 +111,7 @@ CONFIG_USB_GADGET=m
 CONFIG_USB_HCD_BCMA=m
 CONFIG_USB_HCD_SSB=m
 CONFIG_USB_MUSB_HDRC=m
+CONFIG_USB_MUSB_OMAP2PLUS=m
 CONFIG_USB_MUSB_TUSB6010=m
 CONFIG_USB_OHCI_HCD_PLATFORM=y
 CONFIG_VFIO_IOMMU_TYPE1=m