diff --git a/debian.master/config/amd64/config.common.amd64 b/debian.master/config/amd64/config.common.amd64
index c47096d..6b6079d 100644
--- a/debian.master/config/amd64/config.common.amd64
+++ b/debian.master/config/amd64/config.common.amd64
@@ -154,6 +154,7 @@ CONFIG_IPMI_HANDLER=m
 CONFIG_IPMI_SI_PROBE_DEFAULTS=y
 CONFIG_IPX=m
 # CONFIG_IP_DCCP_CCID3 is not set
+CONFIG_IRQ_BYPASS_MANAGER=m
 CONFIG_JFS_FS=m
 CONFIG_JME=m
 CONFIG_JUMP_LABEL=y
@@ -444,7 +445,10 @@ CONFIG_USB_MUSB_HDRC=m
 CONFIG_USB_OHCI_HCD_PLATFORM=y
 CONFIG_USB_SUPPORT=y
 CONFIG_UWB=m
+CONFIG_VFIO=m
 CONFIG_VFIO_IOMMU_TYPE1=m
+CONFIG_VFIO_PCI=m
+CONFIG_VFIO_VIRQFD=m
 CONFIG_VGASTATE=m
 CONFIG_VIRTIO_MMIO=y
 # CONFIG_VM86 is not set
diff --git a/debian.master/config/annotations b/debian.master/config/annotations
index bf84251..1898235 100644
--- a/debian.master/config/annotations
+++ b/debian.master/config/annotations
@@ -6820,12 +6820,15 @@ CONFIG_UIO_PRUSS                                policy<{'amd64': 'm', 'arm64': '
 CONFIG_UIO_MF624                                policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm', 'powerpc': 'm', 'ppc64el': 'm'}>
 
 # Menu: Device Drivers >> VFIO Non-Privileged userspace driver framework
-CONFIG_VFIO                                     policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm', 'powerpc-powerpc64-smp': 'm', 'ppc64el': 'm'}>
-CONFIG_VFIO_PCI                                 policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm', 'powerpc-powerpc64-smp': 'm', 'ppc64el': 'm'}>
+CONFIG_VFIO                                     policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm', 'powerpc-powerpc64-smp': 'm', 'ppc64el': 'y'}>
+CONFIG_VFIO_PCI                                 policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm', 'powerpc-powerpc64-smp': 'm', 'ppc64el': 'y'}>
 CONFIG_VFIO_PCI_VGA                             policy<{'amd64': 'y', 'i386': 'y'}>
 CONFIG_VFIO_PLATFORM                            policy<{'arm64': 'm', 'armhf': 'm'}>
 CONFIG_VFIO_AMBA                                policy<{'arm64': 'm', 'armhf': 'm'}>
 CONFIG_VFIO_PLATFORM_CALXEDAXGMAC_RESET         policy<{'arm64': 'm', 'armhf': 'm'}>
+#
+CONFIG_VFIO					mark<ENFORCED>note<LP#1636733>
+CONFIG_VFIO_PCI					mark<ENFORCED>note<LP#1636733>
 
 # Menu: Device Drivers >> VME bridge support
 CONFIG_VME_BUS                                  policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'i386': 'y', 'powerpc': 'y', 'ppc64el': 'y', 's390x': 'n'}>
diff --git a/debian.master/config/arm64/config.common.arm64 b/debian.master/config/arm64/config.common.arm64
index b7991ea..0c2bf6cf 100644
--- a/debian.master/config/arm64/config.common.arm64
+++ b/debian.master/config/arm64/config.common.arm64
@@ -159,6 +159,7 @@ CONFIG_IPMI_HANDLER=m
 # CONFIG_IPMI_SI_PROBE_DEFAULTS is not set
 CONFIG_IPX=m
 # CONFIG_IP_DCCP_CCID3 is not set
+CONFIG_IRQ_BYPASS_MANAGER=m
 # CONFIG_IRQ_FORCED_THREADING_DEFAULT is not set
 CONFIG_JFS_FS=m
 CONFIG_JME=m
@@ -446,7 +447,10 @@ CONFIG_USB_MUSB_HDRC=m
 CONFIG_USB_OHCI_HCD_PLATFORM=m
 CONFIG_USB_SUPPORT=y
 CONFIG_UWB=m
+CONFIG_VFIO=m
 CONFIG_VFIO_IOMMU_TYPE1=m
+CONFIG_VFIO_PCI=m
+CONFIG_VFIO_VIRQFD=m
 CONFIG_VGASTATE=m
 CONFIG_VIRTIO_MMIO=y
 CONFIG_VME_BUS=y
diff --git a/debian.master/config/armhf/config.common.armhf b/debian.master/config/armhf/config.common.armhf
index f3d209b..8298d7f 100644
--- a/debian.master/config/armhf/config.common.armhf
+++ b/debian.master/config/armhf/config.common.armhf
@@ -149,6 +149,7 @@ CONFIG_IPMI_HANDLER=m
 # CONFIG_IPMI_SI_PROBE_DEFAULTS is not set
 CONFIG_IPX=m
 # CONFIG_IP_DCCP_CCID3 is not set
+CONFIG_IRQ_BYPASS_MANAGER=m
 # CONFIG_IRQ_FORCED_THREADING_DEFAULT is not set
 CONFIG_JFS_FS=m
 CONFIG_JME=m
@@ -432,7 +433,10 @@ CONFIG_USB_MUSB_HDRC=y
 # CONFIG_USB_OHCI_HCD_PLATFORM is not set
 CONFIG_USB_SUPPORT=y
 CONFIG_UWB=m
+CONFIG_VFIO=m
 # CONFIG_VFIO_IOMMU_TYPE1 is not set
+CONFIG_VFIO_PCI=m
+CONFIG_VFIO_VIRQFD=m
 CONFIG_VGASTATE=m
 CONFIG_VIRTIO_MMIO=y
 CONFIG_VME_BUS=y
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index a5a946e..9231f5b 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -3801,7 +3801,6 @@ CONFIG_IRLAN=m
 CONFIG_IRNET=m
 CONFIG_IRQCHIP=y
 # CONFIG_IRQSOFF_TRACER is not set
-CONFIG_IRQ_BYPASS_MANAGER=m
 CONFIG_IRQ_CROSSBAR=y
 CONFIG_IRQ_DOMAIN=y
 # CONFIG_IRQ_DOMAIN_DEBUG is not set
@@ -8560,18 +8559,13 @@ CONFIG_VEXPRESS_CONFIG=y
 CONFIG_VEXPRESS_SYSCFG=y
 CONFIG_VF610_ADC=m
 CONFIG_VFAT_FS=y
-CONFIG_VFIO=m
 CONFIG_VFIO_AMBA=m
-CONFIG_VFIO_IOMMU_SPAPR_TCE=m
-CONFIG_VFIO_PCI=m
 CONFIG_VFIO_PCI_INTX=y
 CONFIG_VFIO_PCI_MMAP=y
 CONFIG_VFIO_PCI_VGA=y
 CONFIG_VFIO_PLATFORM=m
 CONFIG_VFIO_PLATFORM_AMDXGBE_RESET=m
 CONFIG_VFIO_PLATFORM_CALXEDAXGMAC_RESET=m
-CONFIG_VFIO_SPAPR_EEH=m
-CONFIG_VFIO_VIRQFD=m
 CONFIG_VFP=y
 CONFIG_VFPv3=y
 CONFIG_VF_USE_ARM_GLOBAL_TIMER=y
diff --git a/debian.master/config/i386/config.common.i386 b/debian.master/config/i386/config.common.i386
index a76ea7c..a8bff36 100644
--- a/debian.master/config/i386/config.common.i386
+++ b/debian.master/config/i386/config.common.i386
@@ -151,6 +151,7 @@ CONFIG_IPMI_HANDLER=m
 CONFIG_IPMI_SI_PROBE_DEFAULTS=y
 CONFIG_IPX=m
 # CONFIG_IP_DCCP_CCID3 is not set
+CONFIG_IRQ_BYPASS_MANAGER=m
 CONFIG_ISA=y
 CONFIG_JFS_FS=m
 CONFIG_JME=m
@@ -439,7 +440,10 @@ CONFIG_USB_MUSB_HDRC=m
 CONFIG_USB_OHCI_HCD_PLATFORM=y
 CONFIG_USB_SUPPORT=y
 CONFIG_UWB=m
+CONFIG_VFIO=m
 CONFIG_VFIO_IOMMU_TYPE1=m
+CONFIG_VFIO_PCI=m
+CONFIG_VFIO_VIRQFD=m
 CONFIG_VGASTATE=m
 CONFIG_VIRTIO_MMIO=y
 CONFIG_VM86=y
diff --git a/debian.master/config/powerpc/config.common.powerpc b/debian.master/config/powerpc/config.common.powerpc
index 9522e8e..a5a87a3 100644
--- a/debian.master/config/powerpc/config.common.powerpc
+++ b/debian.master/config/powerpc/config.common.powerpc
@@ -143,6 +143,7 @@ CONFIG_IPMI_SI_PROBE_DEFAULTS=y
 CONFIG_IPX=m
 # CONFIG_IP_DCCP_CCID3 is not set
 # CONFIG_IRQ_ALL_CPUS is not set
+CONFIG_IRQ_BYPASS_MANAGER=m
 # CONFIG_IRQ_FORCED_THREADING_DEFAULT is not set
 # CONFIG_ISA is not set
 CONFIG_JFS_FS=m
@@ -437,7 +438,12 @@ CONFIG_USB_OHCI_HCD_PPC_OF=y
 CONFIG_USB_OHCI_HCD_PPC_OF_BE=y
 CONFIG_USB_SUPPORT=y
 CONFIG_UWB=m
+CONFIG_VFIO=m
+CONFIG_VFIO_IOMMU_SPAPR_TCE=m
 # CONFIG_VFIO_IOMMU_TYPE1 is not set
+CONFIG_VFIO_PCI=m
+CONFIG_VFIO_SPAPR_EEH=m
+CONFIG_VFIO_VIRQFD=m
 CONFIG_VGASTATE=m
 CONFIG_VIRTIO_MMIO=y
 # CONFIG_VIRT_CPU_ACCOUNTING_NATIVE is not set
diff --git a/debian.master/config/ppc64el/config.common.ppc64el b/debian.master/config/ppc64el/config.common.ppc64el
index 4d55656..1298dc3 100644
--- a/debian.master/config/ppc64el/config.common.ppc64el
+++ b/debian.master/config/ppc64el/config.common.ppc64el
@@ -164,6 +164,7 @@ CONFIG_IPMI_SI_PROBE_DEFAULTS=y
 CONFIG_IPX=m
 # CONFIG_IP_DCCP_CCID3 is not set
 CONFIG_IRQ_ALL_CPUS=y
+CONFIG_IRQ_BYPASS_MANAGER=y
 # CONFIG_IRQ_FORCED_THREADING_DEFAULT is not set
 CONFIG_JFS_FS=m
 CONFIG_JME=m
@@ -487,7 +488,12 @@ CONFIG_USB_OHCI_HCD_PLATFORM=m
 # CONFIG_USB_OHCI_HCD_PPC_OF_BE is not set
 CONFIG_USB_SUPPORT=y
 CONFIG_UWB=m
+CONFIG_VFIO=y
+CONFIG_VFIO_IOMMU_SPAPR_TCE=y
 # CONFIG_VFIO_IOMMU_TYPE1 is not set
+CONFIG_VFIO_PCI=y
+CONFIG_VFIO_SPAPR_EEH=y
+CONFIG_VFIO_VIRQFD=y
 CONFIG_VGASTATE=m
 CONFIG_VIRTIO_MMIO=y
 # CONFIG_VIRT_CPU_ACCOUNTING_NATIVE is not set
diff --git a/debian.master/config/s390x/config.common.s390x b/debian.master/config/s390x/config.common.s390x
index 15423a5..2ab8f3a 100644
--- a/debian.master/config/s390x/config.common.s390x
+++ b/debian.master/config/s390x/config.common.s390x
@@ -127,6 +127,7 @@ CONFIG_IMA=y
 # CONFIG_IPMI_HANDLER is not set
 # CONFIG_IPX is not set
 CONFIG_IP_DCCP_CCID3=y
+CONFIG_IRQ_BYPASS_MANAGER=m
 # CONFIG_JFS_FS is not set
 # CONFIG_JME is not set
 CONFIG_JUMP_LABEL=y
@@ -361,7 +362,10 @@ CONFIG_SYS_HYPERVISOR=y
 CONFIG_UPROBES=y
 # CONFIG_USB_SUPPORT is not set
 # CONFIG_UWB is not set
+CONFIG_VFIO=m
 CONFIG_VFIO_IOMMU_TYPE1=m
+CONFIG_VFIO_PCI=m
+CONFIG_VFIO_VIRQFD=m
 # CONFIG_VGASTATE is not set
 # CONFIG_VIRTIO_MMIO is not set
 CONFIG_VIRT_CPU_ACCOUNTING_NATIVE=y