diff --git a/debian.master/config/amd64/config.common.amd64 b/debian.master/config/amd64/config.common.amd64
index 7176e15be9f9..c8f66a152dcd 100644
--- a/debian.master/config/amd64/config.common.amd64
+++ b/debian.master/config/amd64/config.common.amd64
@@ -278,6 +278,7 @@ CONFIG_OMFS_FS=m
 CONFIG_OSF_PARTITION=y
 CONFIG_OUTPUT_FORMAT="elf64-x86-64"
 # CONFIG_PAGE_EXTENSION is not set
+CONFIG_PANIC_TIMEOUT=0
 CONFIG_PARAVIRT=y
 CONFIG_PARPORT=m
 CONFIG_PATA_SIS=y
diff --git a/debian.master/config/annotations b/debian.master/config/annotations
index faf8c8a1248c..0cd79bc60502 100644
--- a/debian.master/config/annotations
+++ b/debian.master/config/annotations
@@ -8578,7 +8578,7 @@ CONFIG_NO_HZ_IDLE                               note<LP:1413968>
 CONFIG_MAGIC_SYSRQ                              policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'i386': 'y', 'ppc64el': 'y', 's390x': 'y'}>
 CONFIG_KCOV                                     policy<{'amd64': 'n', 'arm64': 'n', 's390x': 'n'}>
 CONFIG_PANIC_ON_OOPS                            policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
-CONFIG_PANIC_TIMEOUT                            policy<{'amd64': '0', 'arm64': '0', 'armhf': '0', 'i386': '0', 'ppc64el': '0', 's390x': '0'}>
+CONFIG_PANIC_TIMEOUT                            policy<{'amd64': '0', 'arm64': '0', 'armhf': '0', 'i386': '0', 'ppc64el': '10', 's390x': '0'}>
 CONFIG_DEBUG_TIMEKEEPING                        policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
 CONFIG_STACKTRACE                               policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'i386': 'y', 'ppc64el': 'y', 's390x': 'y'}>
 CONFIG_PROVIDE_OHCI1394_DMA_INIT                policy<{'amd64': 'n', 'i386': 'n'}>
diff --git a/debian.master/config/arm64/config.common.arm64 b/debian.master/config/arm64/config.common.arm64
index 0d6b52e5f95b..ebbbab98ebe1 100644
--- a/debian.master/config/arm64/config.common.arm64
+++ b/debian.master/config/arm64/config.common.arm64
@@ -294,6 +294,7 @@ CONFIG_OF=y
 CONFIG_OMFS_FS=m
 CONFIG_OSF_PARTITION=y
 # CONFIG_PAGE_EXTENSION is not set
+CONFIG_PANIC_TIMEOUT=0
 CONFIG_PARAVIRT=y
 CONFIG_PARPORT=m
 CONFIG_PATA_SIS=m
diff --git a/debian.master/config/armhf/config.common.armhf b/debian.master/config/armhf/config.common.armhf
index d04a8eace3ca..942cb259570b 100644
--- a/debian.master/config/armhf/config.common.armhf
+++ b/debian.master/config/armhf/config.common.armhf
@@ -277,6 +277,7 @@ CONFIG_OMFS_FS=m
 CONFIG_OSF_PARTITION=y
 CONFIG_PAGE_EXTENSION=y
 CONFIG_PAGE_OFFSET=0xC0000000
+CONFIG_PANIC_TIMEOUT=0
 # CONFIG_PARAVIRT is not set
 CONFIG_PARPORT=m
 CONFIG_PATA_SIS=m
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index f35a86af8456..3043a185c28d 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -5957,7 +5957,6 @@ CONFIG_PANEL_PARPORT=0
 CONFIG_PANEL_PROFILE=5
 # CONFIG_PANIC_ON_OOPS is not set
 CONFIG_PANIC_ON_OOPS_VALUE=0
-CONFIG_PANIC_TIMEOUT=0
 CONFIG_PANTHERLORD_FF=y
 CONFIG_PARAVIRT_CLOCK=y
 # CONFIG_PARAVIRT_DEBUG is not set
diff --git a/debian.master/config/i386/config.common.i386 b/debian.master/config/i386/config.common.i386
index 42167ca94e07..5113b932fbd4 100644
--- a/debian.master/config/i386/config.common.i386
+++ b/debian.master/config/i386/config.common.i386
@@ -272,6 +272,7 @@ CONFIG_OSF_PARTITION=y
 CONFIG_OUTPUT_FORMAT="elf32-i386"
 CONFIG_PAGE_EXTENSION=y
 CONFIG_PAGE_OFFSET=0xC0000000
+CONFIG_PANIC_TIMEOUT=0
 CONFIG_PARAVIRT=y
 CONFIG_PARPORT=m
 CONFIG_PATA_SIS=y
diff --git a/debian.master/config/ppc64el/config.common.ppc64el b/debian.master/config/ppc64el/config.common.ppc64el
index 87ed1e69b688..bb803dc96034 100644
--- a/debian.master/config/ppc64el/config.common.ppc64el
+++ b/debian.master/config/ppc64el/config.common.ppc64el
@@ -279,6 +279,7 @@ CONFIG_OMFS_FS=m
 CONFIG_OSF_PARTITION=y
 # CONFIG_PAGE_EXTENSION is not set
 CONFIG_PAGE_OFFSET=0xc000000000000000
+CONFIG_PANIC_TIMEOUT=10
 CONFIG_PARPORT=m
 CONFIG_PATA_SIS=m
 # CONFIG_PCCARD is not set
diff --git a/debian.master/config/s390x/config.common.s390x b/debian.master/config/s390x/config.common.s390x
index 6626c85caca7..ce45be36d41a 100644
--- a/debian.master/config/s390x/config.common.s390x
+++ b/debian.master/config/s390x/config.common.s390x
@@ -242,6 +242,7 @@ CONFIG_NUMA_EMU=y
 # CONFIG_OMFS_FS is not set
 # CONFIG_OSF_PARTITION is not set
 # CONFIG_PAGE_EXTENSION is not set
+CONFIG_PANIC_TIMEOUT=0
 # CONFIG_PARPORT is not set
 CONFIG_PCIEPORTBUS=y
 # CONFIG_PCIPCWATCHDOG is not set