diff --git a/debian.master/config/amd64/config.common.amd64 b/debian.master/config/amd64/config.common.amd64
index 06bd75a..db1ba8e 100644
--- a/debian.master/config/amd64/config.common.amd64
+++ b/debian.master/config/amd64/config.common.amd64
@@ -455,11 +455,8 @@ CONFIG_SND_EMU10K1_SEQ=m
 CONFIG_SND_PCM=m
 CONFIG_SND_SOC=m
 CONFIG_SND_SOC_FSL_SSI=m
-CONFIG_SND_SOC_HDMI_CODEC=m
 CONFIG_SND_SOC_I2C_AND_SPI=m
 CONFIG_SND_SOC_IMX_AUDMUX=m
-CONFIG_SND_SOC_MSM8916_WCD_ANALOG=m
-CONFIG_SND_SOC_MSM8916_WCD_DIGITAL=m
 CONFIG_SND_SOC_RT5677_SPI=m
 CONFIG_SND_SOC_SGTL5000=m
 CONFIG_SND_TIMER=m
diff --git a/debian.master/config/arm64/config.common.arm64 b/debian.master/config/arm64/config.common.arm64
index 67f8bae..5cd036b 100644
--- a/debian.master/config/arm64/config.common.arm64
+++ b/debian.master/config/arm64/config.common.arm64
@@ -4,6 +4,7 @@
 CONFIG_64BIT=y
 CONFIG_6LOWPAN=m
 CONFIG_ABX500_CORE=y
+CONFIG_AC97_BUS=m
 # CONFIG_ACPI_DEBUG is not set
 # CONFIG_ACPI_DEBUGGER is not set
 CONFIG_ACPI_REDUCED_HARDWARE_ONLY=y
@@ -447,12 +448,18 @@ CONFIG_SGI_PARTITION=y
 # CONFIG_SH_TIMER_TMU is not set
 CONFIG_SLIP=m
 CONFIG_SMC91X=y
+CONFIG_SND=m
+CONFIG_SND_DMAENGINE_PCM=m
 CONFIG_SND_EMU10K1_SEQ=m
 # CONFIG_SND_OPL4_LIB_SEQ is not set
+CONFIG_SND_PCM=m
+CONFIG_SND_SOC=m
 CONFIG_SND_SOC_FSL_SSI=m
+CONFIG_SND_SOC_I2C_AND_SPI=m
 CONFIG_SND_SOC_IMX_AUDMUX=m
 # CONFIG_SND_SOC_RT5677_SPI is not set
 CONFIG_SND_SOC_SGTL5000=m
+CONFIG_SND_TIMER=m
 CONFIG_SOC_BRCMSTB=y
 CONFIG_SOC_TI=y
 CONFIG_SOLARIS_X86_PARTITION=y
diff --git a/debian.master/config/arm64/config.flavour.generic b/debian.master/config/arm64/config.flavour.generic
index c5d0543..20a3fbc 100644
--- a/debian.master/config/arm64/config.flavour.generic
+++ b/debian.master/config/arm64/config.flavour.generic
@@ -1,7 +1,6 @@
 #
 # Config options for config.flavour.generic automatically generated by splitconfig.pl
 #
-CONFIG_AC97_BUS=m
 # CONFIG_ADV7511_SNAPDRAGON_HACKS is not set
 CONFIG_CEC_CORE=m
 CONFIG_COMMON_CLK_QCOM=m
@@ -47,20 +46,6 @@ CONFIG_REGULATOR_QCOM_SMD_RPM=m
 CONFIG_REGULATOR_QCOM_SPMI=m
 CONFIG_RPMSG=m
 CONFIG_RPMSG_QCOM_SMD=m
-CONFIG_SND=m
-CONFIG_SND_DMAENGINE_PCM=m
-CONFIG_SND_PCM=m
-CONFIG_SND_SOC=m
-CONFIG_SND_SOC_APQ8016_SBC=m
-CONFIG_SND_SOC_HDMI_CODEC=m
-CONFIG_SND_SOC_I2C_AND_SPI=m
-CONFIG_SND_SOC_LPASS_APQ8016=m
-CONFIG_SND_SOC_LPASS_CPU=m
-CONFIG_SND_SOC_LPASS_PLATFORM=m
-CONFIG_SND_SOC_MSM8916_WCD_ANALOG=m
-CONFIG_SND_SOC_MSM8916_WCD_DIGITAL=m
-CONFIG_SND_SOC_QCOM=m
-CONFIG_SND_TIMER=m
 CONFIG_SOUND=m
 CONFIG_SPI_QUP=m
 CONFIG_SPMI=m
diff --git a/debian.master/config/arm64/config.flavour.snapdragon b/debian.master/config/arm64/config.flavour.snapdragon
index 56b7a6a..7bb997b 100644
--- a/debian.master/config/arm64/config.flavour.snapdragon
+++ b/debian.master/config/arm64/config.flavour.snapdragon
@@ -1,7 +1,6 @@
 #
 # Config options for config.flavour.snapdragon automatically generated by splitconfig.pl
 #
-CONFIG_AC97_BUS=y
 CONFIG_ADV7511_SNAPDRAGON_HACKS=y
 CONFIG_CEC_CORE=y
 CONFIG_COMMON_CLK_QCOM=y
@@ -47,20 +46,6 @@ CONFIG_REGULATOR_QCOM_SMD_RPM=y
 CONFIG_REGULATOR_QCOM_SPMI=y
 CONFIG_RPMSG=y
 CONFIG_RPMSG_QCOM_SMD=y
-CONFIG_SND=y
-CONFIG_SND_DMAENGINE_PCM=y
-CONFIG_SND_PCM=y
-CONFIG_SND_SOC=y
-CONFIG_SND_SOC_APQ8016_SBC=y
-CONFIG_SND_SOC_HDMI_CODEC=y
-CONFIG_SND_SOC_I2C_AND_SPI=y
-CONFIG_SND_SOC_LPASS_APQ8016=y
-CONFIG_SND_SOC_LPASS_CPU=y
-CONFIG_SND_SOC_LPASS_PLATFORM=y
-CONFIG_SND_SOC_MSM8916_WCD_ANALOG=y
-CONFIG_SND_SOC_MSM8916_WCD_DIGITAL=y
-CONFIG_SND_SOC_QCOM=y
-CONFIG_SND_TIMER=y
 CONFIG_SOUND=y
 CONFIG_SPI_QUP=y
 CONFIG_SPMI=y
diff --git a/debian.master/config/armhf/config.common.armhf b/debian.master/config/armhf/config.common.armhf
index a70ee77..7f8f061 100644
--- a/debian.master/config/armhf/config.common.armhf
+++ b/debian.master/config/armhf/config.common.armhf
@@ -471,15 +471,7 @@ CONFIG_SND_DMAENGINE_PCM=y
 # CONFIG_SND_OPL4_LIB_SEQ is not set
 CONFIG_SND_PCM=y
 CONFIG_SND_SOC=y
-CONFIG_SND_SOC_APQ8016_SBC=m
-CONFIG_SND_SOC_HDMI_CODEC=m
 CONFIG_SND_SOC_I2C_AND_SPI=y
-CONFIG_SND_SOC_LPASS_APQ8016=m
-CONFIG_SND_SOC_LPASS_CPU=m
-CONFIG_SND_SOC_LPASS_PLATFORM=m
-CONFIG_SND_SOC_MSM8916_WCD_ANALOG=m
-CONFIG_SND_SOC_MSM8916_WCD_DIGITAL=m
-CONFIG_SND_SOC_QCOM=m
 CONFIG_SND_TIMER=y
 # CONFIG_SOC_BRCMSTB is not set
 CONFIG_SOC_TI=y
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index 540a5c5..d4756e3 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -8409,6 +8409,7 @@ CONFIG_SND_SOC_ALC5623=m
 CONFIG_SND_SOC_ALC5632=m
 CONFIG_SND_SOC_AMD_ACP=m
 CONFIG_SND_SOC_AMD_CZ_RT5645_MACH=m
+CONFIG_SND_SOC_APQ8016_SBC=m
 CONFIG_SND_SOC_ARIZONA=m
 CONFIG_SND_SOC_ARNDALE_RT5631_ALC5631=m
 CONFIG_SND_SOC_BT_SCO=m
@@ -8452,6 +8453,7 @@ CONFIG_SND_SOC_FSL_UTILS=m
 CONFIG_SND_SOC_GENERIC_DMAENGINE_PCM=y
 CONFIG_SND_SOC_GTM601=m
 CONFIG_SND_SOC_HDAC_HDMI=m
+CONFIG_SND_SOC_HDMI_CODEC=m
 CONFIG_SND_SOC_IMG=y
 CONFIG_SND_SOC_IMG_I2S_IN=m
 CONFIG_SND_SOC_IMG_I2S_OUT=m
@@ -8496,7 +8498,10 @@ CONFIG_SND_SOC_INTEL_SST=m
 CONFIG_SND_SOC_INTEL_SST_ACPI=m
 CONFIG_SND_SOC_INTEL_SST_FIRMWARE=m
 CONFIG_SND_SOC_INTEL_SST_TOPLEVEL=m
+CONFIG_SND_SOC_LPASS_APQ8016=m
+CONFIG_SND_SOC_LPASS_CPU=m
 CONFIG_SND_SOC_LPASS_IPQ806X=m
+CONFIG_SND_SOC_LPASS_PLATFORM=m
 CONFIG_SND_SOC_MAX98090=m
 CONFIG_SND_SOC_MAX98095=m
 CONFIG_SND_SOC_MAX98357A=m
@@ -8504,6 +8509,8 @@ CONFIG_SND_SOC_MAX98504=m
 CONFIG_SND_SOC_MAX9860=m
 CONFIG_SND_SOC_MAX98927=m
 CONFIG_SND_SOC_MC13783=m
+CONFIG_SND_SOC_MSM8916_WCD_ANALOG=m
+CONFIG_SND_SOC_MSM8916_WCD_DIGITAL=m
 # CONFIG_SND_SOC_MT2701 is not set
 # CONFIG_SND_SOC_MT8173 is not set
 CONFIG_SND_SOC_NAU8540=m
@@ -8521,6 +8528,7 @@ CONFIG_SND_SOC_PCM3168A_SPI=m
 CONFIG_SND_SOC_PCM512x=m
 CONFIG_SND_SOC_PCM512x_I2C=m
 CONFIG_SND_SOC_PCM512x_SPI=m
+CONFIG_SND_SOC_QCOM=m
 CONFIG_SND_SOC_RCAR=m
 CONFIG_SND_SOC_RK3288_HDMI_ANALOG=m
 CONFIG_SND_SOC_RK3399_GRU_SOUND=m
diff --git a/debian.master/config/i386/config.common.i386 b/debian.master/config/i386/config.common.i386
index 1a87045..1ed8561 100644
--- a/debian.master/config/i386/config.common.i386
+++ b/debian.master/config/i386/config.common.i386
@@ -447,11 +447,8 @@ CONFIG_SND_OPL4_LIB_SEQ=m
 CONFIG_SND_PCM=m
 CONFIG_SND_SOC=m
 CONFIG_SND_SOC_FSL_SSI=m
-CONFIG_SND_SOC_HDMI_CODEC=m
 CONFIG_SND_SOC_I2C_AND_SPI=m
 CONFIG_SND_SOC_IMX_AUDMUX=m
-CONFIG_SND_SOC_MSM8916_WCD_ANALOG=m
-CONFIG_SND_SOC_MSM8916_WCD_DIGITAL=m
 CONFIG_SND_SOC_RT5677_SPI=m
 CONFIG_SND_SOC_SGTL5000=m
 CONFIG_SND_TIMER=m
diff --git a/debian.master/config/ppc64el/config.common.ppc64el b/debian.master/config/ppc64el/config.common.ppc64el
index 4719378..7e50201 100644
--- a/debian.master/config/ppc64el/config.common.ppc64el
+++ b/debian.master/config/ppc64el/config.common.ppc64el
@@ -452,11 +452,8 @@ CONFIG_SND_EMU10K1_SEQ=m
 CONFIG_SND_PCM=m
 CONFIG_SND_SOC=m
 CONFIG_SND_SOC_FSL_SSI=m
-CONFIG_SND_SOC_HDMI_CODEC=m
 CONFIG_SND_SOC_I2C_AND_SPI=m
 CONFIG_SND_SOC_IMX_AUDMUX=m
-CONFIG_SND_SOC_MSM8916_WCD_ANALOG=m
-CONFIG_SND_SOC_MSM8916_WCD_DIGITAL=m
 # CONFIG_SND_SOC_RT5677_SPI is not set
 CONFIG_SND_SOC_SGTL5000=m
 CONFIG_SND_TIMER=m