diff --git a/debian.master/config/amd64/config.common.amd64 b/debian.master/config/amd64/config.common.amd64
index 77ffaebbaa14..252f69b6e7fe 100644
--- a/debian.master/config/amd64/config.common.amd64
+++ b/debian.master/config/amd64/config.common.amd64
@@ -82,7 +82,6 @@ CONFIG_DRM_CIRRUS_QEMU=m
 CONFIG_DRM_DP_AUX_CHARDEV=y
 CONFIG_DRM_DP_CEC=y
 # CONFIG_DRM_ETNAVIV is not set
-CONFIG_DRM_HISI_HIBMC=m
 CONFIG_DRM_I2C_CH7006=m
 CONFIG_DRM_I2C_NXP_TDA9950=m
 CONFIG_DRM_I2C_NXP_TDA998X=m
diff --git a/debian.master/config/annotations b/debian.master/config/annotations
index fb01717011ff..375421088780 100644
--- a/debian.master/config/annotations
+++ b/debian.master/config/annotations
@@ -1814,7 +1814,7 @@ CONFIG_DRM_VC4_HDMI_CEC                         policy<{'arm64': 'y'}>
 CONFIG_DRM_ETNAVIV                              policy<{'amd64': 'n', 'arm64': 'm', 'armhf': 'm', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
 CONFIG_DRM_ETNAVIV_THERMAL                      policy<{'arm64': 'y', 'armhf': 'y'}>
 CONFIG_DRM_ARCPGU                               policy<{'arm64': 'm', 'armhf': 'm', 'ppc64el': 'm'}>
-CONFIG_DRM_HISI_HIBMC                           policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm', 'ppc64el': 'm', 's390x': 'n'}>
+CONFIG_DRM_HISI_HIBMC                           policy<{'arm64': 'm'}>
 CONFIG_DRM_HISI_KIRIN                           policy<{'arm64': 'm'}>
 CONFIG_HISI_KIRIN_DW_DSI                        policy<{'arm64': 'm'}>
 CONFIG_DRM_MEDIATEK                             policy<{'arm64': 'm', 'armhf': 'm'}>
diff --git a/debian.master/config/arm64/config.common.arm64 b/debian.master/config/arm64/config.common.arm64
index 18219db23ba2..4b6aa2f0bdfc 100644
--- a/debian.master/config/arm64/config.common.arm64
+++ b/debian.master/config/arm64/config.common.arm64
@@ -92,7 +92,6 @@ CONFIG_DRM_CIRRUS_QEMU=m
 CONFIG_DRM_DP_AUX_CHARDEV=y
 CONFIG_DRM_DP_CEC=y
 CONFIG_DRM_ETNAVIV=m
-CONFIG_DRM_HISI_HIBMC=m
 CONFIG_DRM_I2C_CH7006=m
 CONFIG_DRM_I2C_NXP_TDA9950=m
 CONFIG_DRM_I2C_NXP_TDA998X=m
diff --git a/debian.master/config/armhf/config.common.armhf b/debian.master/config/armhf/config.common.armhf
index b77d2dca25c8..ccc8f7f862d6 100644
--- a/debian.master/config/armhf/config.common.armhf
+++ b/debian.master/config/armhf/config.common.armhf
@@ -83,7 +83,6 @@ CONFIG_DRM_CIRRUS_QEMU=m
 CONFIG_DRM_DP_AUX_CHARDEV=y
 CONFIG_DRM_DP_CEC=y
 CONFIG_DRM_ETNAVIV=m
-CONFIG_DRM_HISI_HIBMC=m
 CONFIG_DRM_I2C_CH7006=m
 CONFIG_DRM_I2C_NXP_TDA9950=m
 CONFIG_DRM_I2C_NXP_TDA998X=m
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index 0f399b7b878f..a57426ab7965 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -2480,6 +2480,7 @@ CONFIG_DRM_GMA500=m
 CONFIG_DRM_GMA600=y
 CONFIG_DRM_HDLCD=m
 # CONFIG_DRM_HDLCD_SHOW_UNDERRUN is not set
+CONFIG_DRM_HISI_HIBMC=m
 CONFIG_DRM_HISI_KIRIN=m
 CONFIG_DRM_I2C_ADV7511=m
 CONFIG_DRM_I2C_ADV7511_AUDIO=y
diff --git a/debian.master/config/i386/config.common.i386 b/debian.master/config/i386/config.common.i386
index 86630df82141..ec43647ff4d8 100644
--- a/debian.master/config/i386/config.common.i386
+++ b/debian.master/config/i386/config.common.i386
@@ -79,7 +79,6 @@ CONFIG_DRM_CIRRUS_QEMU=m
 CONFIG_DRM_DP_AUX_CHARDEV=y
 CONFIG_DRM_DP_CEC=y
 # CONFIG_DRM_ETNAVIV is not set
-CONFIG_DRM_HISI_HIBMC=m
 CONFIG_DRM_I2C_CH7006=m
 CONFIG_DRM_I2C_NXP_TDA9950=m
 CONFIG_DRM_I2C_NXP_TDA998X=m
diff --git a/debian.master/config/ppc64el/config.common.ppc64el b/debian.master/config/ppc64el/config.common.ppc64el
index b97ddb2b0424..f7d232601aca 100644
--- a/debian.master/config/ppc64el/config.common.ppc64el
+++ b/debian.master/config/ppc64el/config.common.ppc64el
@@ -78,7 +78,6 @@ CONFIG_DRM_CIRRUS_QEMU=m
 CONFIG_DRM_DP_AUX_CHARDEV=y
 CONFIG_DRM_DP_CEC=y
 # CONFIG_DRM_ETNAVIV is not set
-CONFIG_DRM_HISI_HIBMC=m
 CONFIG_DRM_I2C_CH7006=m
 CONFIG_DRM_I2C_NXP_TDA9950=m
 CONFIG_DRM_I2C_NXP_TDA998X=m
diff --git a/debian.master/config/s390x/config.common.s390x b/debian.master/config/s390x/config.common.s390x
index e0a305497adc..883def6e79f2 100644
--- a/debian.master/config/s390x/config.common.s390x
+++ b/debian.master/config/s390x/config.common.s390x
@@ -69,7 +69,6 @@ CONFIG_DM_DEBUG=y
 # CONFIG_DRM_DP_AUX_CHARDEV is not set
 # CONFIG_DRM_DP_CEC is not set
 # CONFIG_DRM_ETNAVIV is not set
-# CONFIG_DRM_HISI_HIBMC is not set
 # CONFIG_DRM_I2C_CH7006 is not set
 # CONFIG_DRM_I2C_NXP_TDA9950 is not set
 # CONFIG_DRM_I2C_NXP_TDA998X is not set