diff --git a/debian.master/config/amd64/config.common.amd64 b/debian.master/config/amd64/config.common.amd64
index 183ab9687b7f..8ddbed7097f7 100644
--- a/debian.master/config/amd64/config.common.amd64
+++ b/debian.master/config/amd64/config.common.amd64
@@ -58,7 +58,7 @@ CONFIG_CADENCE_WATCHDOG=m
 CONFIG_CAIF=m
 CONFIG_CAN=m
 CONFIG_CB710_CORE=m
-CONFIG_CC_VERSION_TEXT="gcc (Ubuntu 11.2.0-1ubuntu2) 11.2.0"
+CONFIG_CC_VERSION_TEXT="gcc (Ubuntu 11.2.0-3ubuntu1) 11.2.0"
 CONFIG_CDROM_PKTCDVD=m
 # CONFIG_CMA is not set
 CONFIG_CMDLINE_PARTITION=y
diff --git a/debian.master/config/amd64/config.flavour.generic b/debian.master/config/amd64/config.flavour.generic
index ed147346517c..2708f1cc2a3f 100644
--- a/debian.master/config/amd64/config.flavour.generic
+++ b/debian.master/config/amd64/config.flavour.generic
@@ -1,6 +1,7 @@
 #
 # Config options for config.flavour.generic automatically generated by splitconfig.pl
 #
+CONFIG_ACCESSIBILITY=y
 CONFIG_COMEDI_TESTS_EXAMPLE=m
 CONFIG_COMEDI_TESTS_NI_ROUTES=m
 CONFIG_HZ=250
diff --git a/debian.master/config/amd64/config.flavour.lowlatency b/debian.master/config/amd64/config.flavour.lowlatency
index cd2da6dec1c2..963ef44b251b 100644
--- a/debian.master/config/amd64/config.flavour.lowlatency
+++ b/debian.master/config/amd64/config.flavour.lowlatency
@@ -1,6 +1,7 @@
 #
 # Config options for config.flavour.lowlatency automatically generated by splitconfig.pl
 #
+# CONFIG_ACCESSIBILITY is not set
 # CONFIG_COMEDI_TESTS_EXAMPLE is not set
 # CONFIG_COMEDI_TESTS_NI_ROUTES is not set
 CONFIG_HZ=1000
diff --git a/debian.master/config/annotations b/debian.master/config/annotations
index e96858795e64..5fee7abb3239 100644
--- a/debian.master/config/annotations
+++ b/debian.master/config/annotations
@@ -519,9 +519,9 @@ CONFIG_UNISYS_VISORBUS                          policy<{'amd64': 'm'}>
 CONFIG_IDE                                      policy<{'amd64': 'n', 'armhf': 'n', 'ppc64el': 'n'}>
 
 # Menu: Device Drivers >> Accessibility support
-CONFIG_ACCESSIBILITY                            policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_ACCESSIBILITY                            policy<{'amd64-generic': 'y', 'amd64-lowlatency': 'n', 'arm64': 'n', 'armhf': 'n', 'ppc64el': 'n', 's390x': 'n'}>
 #
-CONFIG_ACCESSIBILITY                            flag<REVIEW>
+CONFIG_ACCESSIBILITY                            mark<ENFORCED> note<LP: #1942459>
 
 # Menu: Device Drivers >> Accessibility support >> Speakup console speech
 
diff --git a/debian.master/config/arm64/config.common.arm64 b/debian.master/config/arm64/config.common.arm64
index 9274e8a68c5f..1a6f3c487f46 100644
--- a/debian.master/config/arm64/config.common.arm64
+++ b/debian.master/config/arm64/config.common.arm64
@@ -3,6 +3,7 @@
 #
 CONFIG_6LOWPAN=m
 CONFIG_AC97_BUS=m
+# CONFIG_ACCESSIBILITY is not set
 # CONFIG_ACPI_DEBUG is not set
 # CONFIG_ACPI_DEBUGGER is not set
 CONFIG_ACPI_REDUCED_HARDWARE_ONLY=y
@@ -62,7 +63,7 @@ CONFIG_CADENCE_WATCHDOG=m
 CONFIG_CAIF=m
 CONFIG_CAN=m
 CONFIG_CB710_CORE=m
-CONFIG_CC_VERSION_TEXT="aarch64-linux-gnu-gcc (Ubuntu 11.2.0-1ubuntu2) 11.2.0"
+CONFIG_CC_VERSION_TEXT="aarch64-linux-gnu-gcc (Ubuntu 11.2.0-3ubuntu1) 11.2.0"
 CONFIG_CDROM_PKTCDVD=m
 CONFIG_CMA=y
 CONFIG_CMDLINE="console=ttyAMA0"
diff --git a/debian.master/config/armhf/config.common.armhf b/debian.master/config/armhf/config.common.armhf
index 0799dd9d1d3f..65604a091432 100644
--- a/debian.master/config/armhf/config.common.armhf
+++ b/debian.master/config/armhf/config.common.armhf
@@ -3,6 +3,7 @@
 #
 CONFIG_6LOWPAN=m
 CONFIG_AC97_BUS=y
+# CONFIG_ACCESSIBILITY is not set
 CONFIG_AD525X_DPOT=m
 CONFIG_ADFS_FS=m
 CONFIG_AFFS_FS=m
@@ -57,7 +58,7 @@ CONFIG_CADENCE_WATCHDOG=m
 CONFIG_CAIF=m
 CONFIG_CAN=m
 CONFIG_CB710_CORE=m
-CONFIG_CC_VERSION_TEXT="arm-linux-gnueabihf-gcc (Ubuntu 11.2.0-1ubuntu2) 11.2.0"
+CONFIG_CC_VERSION_TEXT="arm-linux-gnueabihf-gcc (Ubuntu 11.2.0-3ubuntu1) 11.2.0"
 CONFIG_CDROM_PKTCDVD=m
 CONFIG_CMA=y
 CONFIG_CMDLINE=""
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index 76f0360259be..6f5bef8161bc 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -33,9 +33,9 @@ CONFIG_9P_FS=m
 CONFIG_9P_FSCACHE=y
 CONFIG_9P_FS_POSIX_ACL=y
 CONFIG_9P_FS_SECURITY=y
+CONFIG_A11Y_BRAILLE_CONSOLE=y
 CONFIG_AAEON_IWMI_WDT=m
 CONFIG_ABP060MG=m
-# CONFIG_ACCESSIBILITY is not set
 CONFIG_ACENIC=m
 # CONFIG_ACENIC_OMIT_TIGON_I is not set
 CONFIG_ACERHDF=m
@@ -10455,6 +10455,18 @@ CONFIG_SPARSEMEM_STATIC=y
 CONFIG_SPARSEMEM_VMEMMAP=y
 CONFIG_SPARSEMEM_VMEMMAP_ENABLE=y
 CONFIG_SPARSE_IRQ=y
+CONFIG_SPEAKUP=m
+CONFIG_SPEAKUP_SYNTH_ACNTSA=m
+CONFIG_SPEAKUP_SYNTH_APOLLO=m
+CONFIG_SPEAKUP_SYNTH_AUDPTR=m
+CONFIG_SPEAKUP_SYNTH_BNS=m
+CONFIG_SPEAKUP_SYNTH_DECEXT=m
+CONFIG_SPEAKUP_SYNTH_DECTLK=m
+CONFIG_SPEAKUP_SYNTH_DUMMY=m
+CONFIG_SPEAKUP_SYNTH_LTLK=m
+CONFIG_SPEAKUP_SYNTH_SOFT=m
+CONFIG_SPEAKUP_SYNTH_SPKOUT=m
+CONFIG_SPEAKUP_SYNTH_TXPRT=m
 CONFIG_SPI_ALTERA=m
 CONFIG_SPI_ALTERA_CORE=m
 CONFIG_SPI_ALTERA_DFL=m
diff --git a/debian.master/config/ppc64el/config.common.ppc64el b/debian.master/config/ppc64el/config.common.ppc64el
index 8313e59d9b94..b779c8cdcd80 100644
--- a/debian.master/config/ppc64el/config.common.ppc64el
+++ b/debian.master/config/ppc64el/config.common.ppc64el
@@ -3,6 +3,7 @@
 #
 CONFIG_6LOWPAN=m
 CONFIG_AC97_BUS=m
+# CONFIG_ACCESSIBILITY is not set
 CONFIG_AD525X_DPOT=m
 CONFIG_ADFS_FS=m
 CONFIG_AFFS_FS=m
@@ -55,7 +56,7 @@ CONFIG_CADENCE_WATCHDOG=m
 CONFIG_CAIF=m
 CONFIG_CAN=m
 CONFIG_CB710_CORE=m
-CONFIG_CC_VERSION_TEXT="powerpc64le-linux-gnu-gcc (Ubuntu 11.2.0-1ubuntu2) 11.2.0"
+CONFIG_CC_VERSION_TEXT="powerpc64le-linux-gnu-gcc (Ubuntu 11.2.0-3ubuntu1) 11.2.0"
 CONFIG_CDROM_PKTCDVD=m
 CONFIG_CMA=y
 CONFIG_CMDLINE=""
diff --git a/debian.master/config/s390x/config.common.s390x b/debian.master/config/s390x/config.common.s390x
index 518750ccc1b7..e6559cbfb908 100644
--- a/debian.master/config/s390x/config.common.s390x
+++ b/debian.master/config/s390x/config.common.s390x
@@ -2,6 +2,7 @@
 # Config options for config.common.s390x automatically generated by splitconfig.pl
 #
 # CONFIG_6LOWPAN is not set
+# CONFIG_ACCESSIBILITY is not set
 # CONFIG_AD525X_DPOT is not set
 # CONFIG_ADFS_FS is not set
 # CONFIG_AFFS_FS is not set
@@ -45,7 +46,7 @@ CONFIG_AUTOFS_FS=y
 # CONFIG_CAIF is not set
 # CONFIG_CAN is not set
 # CONFIG_CB710_CORE is not set
-CONFIG_CC_VERSION_TEXT="s390x-linux-gnu-gcc (Ubuntu 11.2.0-1ubuntu2) 11.2.0"
+CONFIG_CC_VERSION_TEXT="s390x-linux-gnu-gcc (Ubuntu 11.2.0-3ubuntu1) 11.2.0"
 # CONFIG_CDROM_PKTCDVD is not set
 CONFIG_CMA=y
 # CONFIG_CMDLINE_PARTITION is not set