diff --git a/debian.master/config/amd64/config.common.amd64 b/debian.master/config/amd64/config.common.amd64
index 79127b3005..84270d156d 100644
--- a/debian.master/config/amd64/config.common.amd64
+++ b/debian.master/config/amd64/config.common.amd64
@@ -76,7 +76,6 @@ CONFIG_CRYPTO_DEV_NITROX_CNN55XX=m
 CONFIG_CRYPTO_DEV_SAFEXCEL=m
 CONFIG_CRYPTO_LIB_POLY1305_RSIZE=11
 CONFIG_CXL_BUS=m
-CONFIG_DEBUG_INFO_BTF=y
 CONFIG_DECNET=m
 CONFIG_DEFAULT_MMAP_MIN_ADDR=65536
 CONFIG_DMADEVICES=y
diff --git a/debian.master/config/annotations b/debian.master/config/annotations
index 4017404be1..3c5ad951e2 100644
--- a/debian.master/config/annotations
+++ b/debian.master/config/annotations
@@ -11349,17 +11349,15 @@ CONFIG_DEBUG_INFO                               policy<{'amd64': 'y', 'arm64': '
 CONFIG_DEBUG_INFO_REDUCED                       policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'ppc64el': 'n', 's390x': 'n'}>
 CONFIG_DEBUG_INFO_COMPRESSED                    policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'ppc64el': 'n', 's390x': 'n'}>
 CONFIG_DEBUG_INFO_SPLIT                         policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'ppc64el': 'n', 's390x': 'n'}>
-CONFIG_DEBUG_INFO_BTF                           policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'n', 'ppc64el': 'y', 's390x': 'y'}>
+CONFIG_DEBUG_INFO_BTF                           policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 's390x': 'y'}>
 CONFIG_GDB_SCRIPTS                              policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 's390x': 'y'}>
 #
 CONFIG_DEBUG_INFO                               mark<ENFORCED> note<required for debug packages>
 CONFIG_DEBUG_INFO_SPLIT                         note<LP:1413646 and LP:1413664>
-CONFIG_DEBUG_INFO_BTF                           flag<REVIEW> note<Needs newer pahole for armhf>
 
 # Menu: Kernel hacking >> Compile-time checks and compiler options >> Compile the kernel with debug info >> DWARF version
 CONFIG_DEBUG_INFO_DWARF_TOOLCHAIN_DEFAULT       policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'ppc64el': 'n', 's390x': 'n'}>
 CONFIG_DEBUG_INFO_DWARF4                        policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 's390x': 'y'}>
-CONFIG_DEBUG_INFO_DWARF5                        policy<{'armhf': 'n'}>
 
 # Menu: Kernel hacking >> Debug Oops, Lockups and Hangs
 CONFIG_PANIC_ON_OOPS                            policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'ppc64el': 'n', 's390x': 'n'}>
diff --git a/debian.master/config/arm64/config.common.arm64 b/debian.master/config/arm64/config.common.arm64
index e13c5081c5..756896a9e4 100644
--- a/debian.master/config/arm64/config.common.arm64
+++ b/debian.master/config/arm64/config.common.arm64
@@ -85,7 +85,6 @@ CONFIG_CRYPTO_DEV_NITROX_CNN55XX=m
 CONFIG_CRYPTO_DEV_SAFEXCEL=m
 CONFIG_CRYPTO_LIB_POLY1305_RSIZE=9
 CONFIG_CXL_BUS=m
-CONFIG_DEBUG_INFO_BTF=y
 CONFIG_DECNET=m
 CONFIG_DEFAULT_MMAP_MIN_ADDR=32768
 CONFIG_DMADEVICES=y
diff --git a/debian.master/config/armhf/config.common.armhf b/debian.master/config/armhf/config.common.armhf
index 060b1e2a7b..81a681b375 100644
--- a/debian.master/config/armhf/config.common.armhf
+++ b/debian.master/config/armhf/config.common.armhf
@@ -79,7 +79,6 @@ CONFIG_CRYPTO_DEV_ATMEL_SHA204A=m
 CONFIG_CRYPTO_DEV_SAFEXCEL=m
 CONFIG_CRYPTO_LIB_POLY1305_RSIZE=9
 CONFIG_CXL_BUS=m
-# CONFIG_DEBUG_INFO_BTF is not set
 CONFIG_DECNET=m
 CONFIG_DEFAULT_MMAP_MIN_ADDR=32768
 CONFIG_DMADEVICES=y
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index 89381428c3..cb955c10a2 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -2535,10 +2535,10 @@ CONFIG_DEBUG_FS_ALLOW_ALL=y
 # CONFIG_DEBUG_HIGHMEM is not set
 # CONFIG_DEBUG_HOTPLUG_CPU0 is not set
 CONFIG_DEBUG_INFO=y
+CONFIG_DEBUG_INFO_BTF=y
 CONFIG_DEBUG_INFO_BTF_MODULES=y
 # CONFIG_DEBUG_INFO_COMPRESSED is not set
 CONFIG_DEBUG_INFO_DWARF4=y
-# CONFIG_DEBUG_INFO_DWARF5 is not set
 # CONFIG_DEBUG_INFO_DWARF_TOOLCHAIN_DEFAULT is not set
 # CONFIG_DEBUG_INFO_REDUCED is not set
 # CONFIG_DEBUG_INFO_SPLIT is not set
diff --git a/debian.master/config/ppc64el/config.common.ppc64el b/debian.master/config/ppc64el/config.common.ppc64el
index dda3964741..78ba02fc6d 100644
--- a/debian.master/config/ppc64el/config.common.ppc64el
+++ b/debian.master/config/ppc64el/config.common.ppc64el
@@ -78,7 +78,6 @@ CONFIG_CRYPTO_DEV_NITROX_CNN55XX=m
 CONFIG_CRYPTO_DEV_SAFEXCEL=m
 CONFIG_CRYPTO_LIB_POLY1305_RSIZE=1
 CONFIG_CXL_BUS=m
-CONFIG_DEBUG_INFO_BTF=y
 CONFIG_DECNET=m
 CONFIG_DEFAULT_MMAP_MIN_ADDR=65536
 CONFIG_DMADEVICES=y
diff --git a/debian.master/config/s390x/config.common.s390x b/debian.master/config/s390x/config.common.s390x
index b632b6f02c..ff19e1c868 100644
--- a/debian.master/config/s390x/config.common.s390x
+++ b/debian.master/config/s390x/config.common.s390x
@@ -64,7 +64,6 @@ CONFIG_CRYPTO_DEFLATE=m
 # CONFIG_CRYPTO_DEV_SAFEXCEL is not set
 CONFIG_CRYPTO_LIB_POLY1305_RSIZE=1
 # CONFIG_CXL_BUS is not set
-CONFIG_DEBUG_INFO_BTF=y
 # CONFIG_DECNET is not set
 CONFIG_DEFAULT_MMAP_MIN_ADDR=65536
 # CONFIG_DMADEVICES is not set