diff --git a/debian.master/config/amd64/config.common.amd64 b/debian.master/config/amd64/config.common.amd64
index 409ccffea6d9..df5cba5ec03b 100644
--- a/debian.master/config/amd64/config.common.amd64
+++ b/debian.master/config/amd64/config.common.amd64
@@ -53,7 +53,6 @@ CONFIG_BFS_FS=m
 CONFIG_BLK_DEV_3W_XXXX_RAID=m
 CONFIG_BLK_DEV_PCIESSD_MTIP32XX=m
 CONFIG_BLK_DEV_SX8=m
-CONFIG_BPF_KPROBE_OVERRIDE=y
 CONFIG_BSD_DISKLABEL=y
 CONFIG_C2PORT=m
 CONFIG_CACHEFILES_ERROR_INJECTION=y
diff --git a/debian.master/config/annotations b/debian.master/config/annotations
index a2f2f146ee7d..130551ffdba0 100644
--- a/debian.master/config/annotations
+++ b/debian.master/config/annotations
@@ -11889,7 +11889,7 @@ CONFIG_BLK_DEV_IO_TRACE                         policy<{'amd64': 'y', 'arm64': '
 CONFIG_KPROBE_EVENTS                            policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 'riscv64': 'y', 's390x': 'y'}>
 CONFIG_KPROBE_EVENTS_ON_NOTRACE                 policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'ppc64el': 'n', 'riscv64': 'n', 's390x': 'n'}>
 CONFIG_UPROBE_EVENTS                            policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 'riscv64': 'y', 's390x': 'y'}>
-CONFIG_BPF_KPROBE_OVERRIDE                      policy<{'amd64': 'y', 'arm64': 'y', 'ppc64el': 'y', 'riscv64': 'n', 's390x': 'y'}>
+CONFIG_BPF_KPROBE_OVERRIDE                      policy<{'amd64': 'y', 'arm64': 'y', 'ppc64el': 'y', 'riscv64': 'y', 's390x': 'y'}>
 CONFIG_SYNTH_EVENTS                             policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 'riscv64': 'y', 's390x': 'y'}>
 CONFIG_HIST_TRIGGERS                            policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 's390x': 'y'}>
 CONFIG_TRACE_EVENT_INJECT                       policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 'riscv64': 'y', 's390x': 'y'}>
diff --git a/debian.master/config/arm64/config.common.arm64 b/debian.master/config/arm64/config.common.arm64
index 44ad0428c1ec..20c1940d427f 100644
--- a/debian.master/config/arm64/config.common.arm64
+++ b/debian.master/config/arm64/config.common.arm64
@@ -55,7 +55,6 @@ CONFIG_BFS_FS=m
 CONFIG_BLK_DEV_3W_XXXX_RAID=m
 CONFIG_BLK_DEV_PCIESSD_MTIP32XX=m
 CONFIG_BLK_DEV_SX8=m
-CONFIG_BPF_KPROBE_OVERRIDE=y
 CONFIG_BSD_DISKLABEL=y
 CONFIG_C2PORT=m
 CONFIG_CACHEFILES_ERROR_INJECTION=y
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index f62bcc773bbd..37ab5fd465fb 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -1336,6 +1336,7 @@ CONFIG_BPF_EVENTS=y
 CONFIG_BPF_JIT=y
 CONFIG_BPF_JIT_ALWAYS_ON=y
 CONFIG_BPF_JIT_DEFAULT_ON=y
+CONFIG_BPF_KPROBE_OVERRIDE=y
 CONFIG_BPF_LSM=y
 # CONFIG_BPF_PRELOAD is not set
 CONFIG_BPF_STREAM_PARSER=y
diff --git a/debian.master/config/ppc64el/config.common.ppc64el b/debian.master/config/ppc64el/config.common.ppc64el
index a351d076c521..e29ed7a88329 100644
--- a/debian.master/config/ppc64el/config.common.ppc64el
+++ b/debian.master/config/ppc64el/config.common.ppc64el
@@ -49,7 +49,6 @@ CONFIG_BFS_FS=m
 CONFIG_BLK_DEV_3W_XXXX_RAID=m
 CONFIG_BLK_DEV_PCIESSD_MTIP32XX=m
 CONFIG_BLK_DEV_SX8=m
-CONFIG_BPF_KPROBE_OVERRIDE=y
 CONFIG_BSD_DISKLABEL=y
 CONFIG_C2PORT=m
 CONFIG_CACHEFILES_ERROR_INJECTION=y
diff --git a/debian.master/config/riscv64/config.common.riscv64 b/debian.master/config/riscv64/config.common.riscv64
index df06b262103b..fb3c9688c3d2 100644
--- a/debian.master/config/riscv64/config.common.riscv64
+++ b/debian.master/config/riscv64/config.common.riscv64
@@ -48,7 +48,6 @@ CONFIG_BFS_FS=m
 CONFIG_BLK_DEV_3W_XXXX_RAID=m
 CONFIG_BLK_DEV_PCIESSD_MTIP32XX=m
 CONFIG_BLK_DEV_SX8=m
-# CONFIG_BPF_KPROBE_OVERRIDE is not set
 CONFIG_BSD_DISKLABEL=y
 CONFIG_C2PORT=m
 # CONFIG_CACHEFILES_ERROR_INJECTION is not set
diff --git a/debian.master/config/s390x/config.common.s390x b/debian.master/config/s390x/config.common.s390x
index c2a3f8be1fd7..10e6de6fcfe7 100644
--- a/debian.master/config/s390x/config.common.s390x
+++ b/debian.master/config/s390x/config.common.s390x
@@ -39,7 +39,6 @@ CONFIG_AUTOFS_FS=y
 # CONFIG_BLK_DEV_3W_XXXX_RAID is not set
 # CONFIG_BLK_DEV_PCIESSD_MTIP32XX is not set
 # CONFIG_BLK_DEV_SX8 is not set
-CONFIG_BPF_KPROBE_OVERRIDE=y
 # CONFIG_BSD_DISKLABEL is not set
 # CONFIG_C2PORT is not set
 CONFIG_CACHEFILES_ERROR_INJECTION=y