diff --git a/debian.master/config/amd64/config.common.amd64 b/debian.master/config/amd64/config.common.amd64
index 641f803a2af2..f69263f91b38 100644
--- a/debian.master/config/amd64/config.common.amd64
+++ b/debian.master/config/amd64/config.common.amd64
@@ -465,7 +465,6 @@ CONFIG_NR_CPUS=8192
 CONFIG_NTB=m
 # CONFIG_NTFS_RW is not set
 CONFIG_NULL_TTY=m
-CONFIG_NUMA_BALANCING=y
 CONFIG_NUMA_BALANCING_DEFAULT_ENABLED=y
 CONFIG_NVMEM=y
 CONFIG_NVRAM=m
diff --git a/debian.master/config/annotations b/debian.master/config/annotations
index 31caa142edee..59638108f3cf 100644
--- a/debian.master/config/annotations
+++ b/debian.master/config/annotations
@@ -11231,8 +11231,8 @@ CONFIG_LOG_BUF_SHIFT                            policy<{'amd64': '18', 'arm64':
 CONFIG_LOG_CPU_MAX_BUF_SHIFT                    policy<{'amd64': '12', 'arm64': '12', 'armhf': '12', 'ppc64el': '12', 'riscv64': '12', 's390x': '12'}>
 CONFIG_PRINTK_SAFE_LOG_BUF_SHIFT                policy<{'amd64': '13', 'arm64': '13', 'armhf': '13', 'ppc64el': '13', 'riscv64': '13', 's390x': '13'}>
 CONFIG_PRINTK_INDEX                             policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'ppc64el': 'n', 'riscv64': 'n', 's390x': 'n'}>
-CONFIG_NUMA_BALANCING                           policy<{'amd64': 'y', 'arm64': 'y', 'ppc64el': 'y', 'riscv64': 'n', 's390x': 'y'}>
-CONFIG_NUMA_BALANCING_DEFAULT_ENABLED           policy<{'amd64': 'y', 'arm64': 'y', 'ppc64el': 'y', 's390x': 'n'}>
+CONFIG_NUMA_BALANCING                           policy<{'amd64': 'y', 'arm64': 'y', 'ppc64el': 'y', 'riscv64': 'y', 's390x': 'y'}>
+CONFIG_NUMA_BALANCING_DEFAULT_ENABLED           policy<{'amd64': 'y', 'arm64': 'y', 'ppc64el': 'y', 'riscv64': 'y', 's390x': 'n'}>
 CONFIG_CHECKPOINT_RESTORE                       policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 'riscv64': 'y', 's390x': 'y'}>
 CONFIG_SCHED_AUTOGROUP                          policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 'riscv64': 'y', 's390x': 'y'}>
 CONFIG_SYSFS_DEPRECATED                         policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'ppc64el': 'n', 'riscv64': 'n', 's390x': 'n'}>
diff --git a/debian.master/config/arm64/config.common.arm64 b/debian.master/config/arm64/config.common.arm64
index 0eb9d12d70f5..087599bee316 100644
--- a/debian.master/config/arm64/config.common.arm64
+++ b/debian.master/config/arm64/config.common.arm64
@@ -488,7 +488,6 @@ CONFIG_NR_CPUS=256
 CONFIG_NTB=m
 # CONFIG_NTFS_RW is not set
 CONFIG_NULL_TTY=m
-CONFIG_NUMA_BALANCING=y
 CONFIG_NUMA_BALANCING_DEFAULT_ENABLED=y
 CONFIG_NVMEM=y
 CONFIG_NXP_C45_TJA11XX_PHY=m
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index d8224d2a3941..8bb74f870e45 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -7558,6 +7558,7 @@ CONFIG_NTFS3_LZX_XPRESS=y
 # CONFIG_NTFS_DEBUG is not set
 CONFIG_NTFS_FS=m
 CONFIG_NUMA=y
+CONFIG_NUMA_BALANCING=y
 # CONFIG_NUMA_EMU is not set
 CONFIG_NUMA_KEEP_MEMINFO=y
 CONFIG_NVDIMM_DAX=y
diff --git a/debian.master/config/ppc64el/config.common.ppc64el b/debian.master/config/ppc64el/config.common.ppc64el
index 828701c40997..a0588eee4521 100644
--- a/debian.master/config/ppc64el/config.common.ppc64el
+++ b/debian.master/config/ppc64el/config.common.ppc64el
@@ -474,7 +474,6 @@ CONFIG_NOZOMI=m
 CONFIG_NR_CPUS=2048
 CONFIG_NTB=m
 CONFIG_NULL_TTY=m
-CONFIG_NUMA_BALANCING=y
 CONFIG_NUMA_BALANCING_DEFAULT_ENABLED=y
 CONFIG_NVMEM=y
 CONFIG_NVRAM=y
diff --git a/debian.master/config/riscv64/config.common.riscv64 b/debian.master/config/riscv64/config.common.riscv64
index 8f7dabb14e89..2c9d903b4bcd 100644
--- a/debian.master/config/riscv64/config.common.riscv64
+++ b/debian.master/config/riscv64/config.common.riscv64
@@ -467,7 +467,7 @@ CONFIG_NR_CPUS=8
 CONFIG_NTB=m
 # CONFIG_NTFS_RW is not set
 CONFIG_NULL_TTY=m
-# CONFIG_NUMA_BALANCING is not set
+CONFIG_NUMA_BALANCING_DEFAULT_ENABLED=y
 CONFIG_NVMEM=y
 CONFIG_NXP_C45_TJA11XX_PHY=m
 CONFIG_N_GSM=m
diff --git a/debian.master/config/s390x/config.common.s390x b/debian.master/config/s390x/config.common.s390x
index 565c6394bd5f..26a95e6adbb1 100644
--- a/debian.master/config/s390x/config.common.s390x
+++ b/debian.master/config/s390x/config.common.s390x
@@ -427,7 +427,6 @@ CONFIG_NR_CPUS=512
 # CONFIG_NTB is not set
 CONFIG_NTFS_RW=y
 # CONFIG_NULL_TTY is not set
-CONFIG_NUMA_BALANCING=y
 # CONFIG_NUMA_BALANCING_DEFAULT_ENABLED is not set
 # CONFIG_NVMEM is not set
 # CONFIG_NXP_C45_TJA11XX_PHY is not set