diff --git a/debian.master/config/amd64/config.common.amd64 b/debian.master/config/amd64/config.common.amd64
index f69263f91b38..fe2f97f269e3 100644
--- a/debian.master/config/amd64/config.common.amd64
+++ b/debian.master/config/amd64/config.common.amd64
@@ -509,7 +509,6 @@ CONFIG_PPS_CLIENT_GPIO=m
 CONFIG_PPS_CLIENT_LDISC=m
 # CONFIG_PREEMPT_NONE is not set
 CONFIG_PREEMPT_VOLUNTARY=y
-CONFIG_PROC_VMCORE_DEVICE_DUMP=y
 # CONFIG_PSI_DEFAULT_DISABLED is not set
 CONFIG_PSTORE=y
 # CONFIG_PSTORE_CONSOLE is not set
diff --git a/debian.master/config/annotations b/debian.master/config/annotations
index 59638108f3cf..328af633d8a7 100644
--- a/debian.master/config/annotations
+++ b/debian.master/config/annotations
@@ -11031,7 +11031,7 @@ CONFIG_EFIVAR_FS                                note<needed for variable EFI upd
 CONFIG_PROC_FS                                  policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 'riscv64': 'y', 's390x': 'y'}>
 CONFIG_PROC_KCORE                               policy<{'amd64': 'y', 'arm64': 'y', 'ppc64el': 'y', 'riscv64': 'y', 's390x': 'y'}>
 CONFIG_PROC_VMCORE                              policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 'riscv64': 'y', 's390x': 'y'}>
-CONFIG_PROC_VMCORE_DEVICE_DUMP                  policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 'riscv64': 'n', 's390x': 'y'}>
+CONFIG_PROC_VMCORE_DEVICE_DUMP                  policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 'riscv64': 'y', 's390x': 'y'}>
 CONFIG_PROC_SYSCTL                              policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 'riscv64': 'y', 's390x': 'y'}>
 CONFIG_PROC_PAGE_MONITOR                        policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 'riscv64': 'y', 's390x': 'y'}>
 
diff --git a/debian.master/config/arm64/config.common.arm64 b/debian.master/config/arm64/config.common.arm64
index 087599bee316..7b04b130ce6a 100644
--- a/debian.master/config/arm64/config.common.arm64
+++ b/debian.master/config/arm64/config.common.arm64
@@ -531,7 +531,6 @@ CONFIG_PPS_CLIENT_GPIO=m
 CONFIG_PPS_CLIENT_LDISC=m
 # CONFIG_PREEMPT_NONE is not set
 CONFIG_PREEMPT_VOLUNTARY=y
-CONFIG_PROC_VMCORE_DEVICE_DUMP=y
 # CONFIG_PSI_DEFAULT_DISABLED is not set
 CONFIG_PSTORE=y
 # CONFIG_PSTORE_CONSOLE is not set
diff --git a/debian.master/config/armhf/config.common.armhf b/debian.master/config/armhf/config.common.armhf
index 10000c988072..92b2cac23531 100644
--- a/debian.master/config/armhf/config.common.armhf
+++ b/debian.master/config/armhf/config.common.armhf
@@ -515,7 +515,6 @@ CONFIG_PPS_CLIENT_GPIO=m
 CONFIG_PPS_CLIENT_LDISC=m
 # CONFIG_PREEMPT_NONE is not set
 CONFIG_PREEMPT_VOLUNTARY=y
-CONFIG_PROC_VMCORE_DEVICE_DUMP=y
 # CONFIG_PSI_DEFAULT_DISABLED is not set
 CONFIG_PSTORE=y
 CONFIG_PSTORE_CONSOLE=y
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index 8bb74f870e45..d21e40243221 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -8574,6 +8574,7 @@ CONFIG_PROC_PID_CPUSET=y
 CONFIG_PROC_SYSCTL=y
 CONFIG_PROC_THERMAL_MMIO_RAPL=m
 CONFIG_PROC_VMCORE=y
+CONFIG_PROC_VMCORE_DEVICE_DUMP=y
 # CONFIG_PROFILE_ALL_BRANCHES is not set
 # CONFIG_PROFILE_ANNOTATED_BRANCHES is not set
 CONFIG_PROFILING=y
diff --git a/debian.master/config/ppc64el/config.common.ppc64el b/debian.master/config/ppc64el/config.common.ppc64el
index a0588eee4521..2c41e161b8e7 100644
--- a/debian.master/config/ppc64el/config.common.ppc64el
+++ b/debian.master/config/ppc64el/config.common.ppc64el
@@ -516,7 +516,6 @@ CONFIG_PPS_CLIENT_GPIO=m
 CONFIG_PPS_CLIENT_LDISC=m
 # CONFIG_PREEMPT_NONE is not set
 CONFIG_PREEMPT_VOLUNTARY=y
-CONFIG_PROC_VMCORE_DEVICE_DUMP=y
 # CONFIG_PSI_DEFAULT_DISABLED is not set
 CONFIG_PSTORE=y
 # CONFIG_PSTORE_CONSOLE is not set
diff --git a/debian.master/config/riscv64/config.common.riscv64 b/debian.master/config/riscv64/config.common.riscv64
index 2c9d903b4bcd..8c01ca4f83bd 100644
--- a/debian.master/config/riscv64/config.common.riscv64
+++ b/debian.master/config/riscv64/config.common.riscv64
@@ -507,7 +507,6 @@ CONFIG_PPS_CLIENT_GPIO=m
 CONFIG_PPS_CLIENT_LDISC=m
 # CONFIG_PREEMPT_NONE is not set
 CONFIG_PREEMPT_VOLUNTARY=y
-# CONFIG_PROC_VMCORE_DEVICE_DUMP is not set
 # CONFIG_PSI_DEFAULT_DISABLED is not set
 CONFIG_PSTORE=y
 # CONFIG_PSTORE_CONSOLE is not set
diff --git a/debian.master/config/s390x/config.common.s390x b/debian.master/config/s390x/config.common.s390x
index 26a95e6adbb1..2a2fcf69a943 100644
--- a/debian.master/config/s390x/config.common.s390x
+++ b/debian.master/config/s390x/config.common.s390x
@@ -464,7 +464,6 @@ CONFIG_PGTABLE_LEVELS=5
 # CONFIG_PPS_CLIENT_LDISC is not set
 CONFIG_PREEMPT_NONE=y
 # CONFIG_PREEMPT_VOLUNTARY is not set
-CONFIG_PROC_VMCORE_DEVICE_DUMP=y
 CONFIG_PSI_DEFAULT_DISABLED=y
 # CONFIG_PSTORE is not set
 CONFIG_PTDUMP_DEBUGFS=y