diff --git a/debian.master/config/amd64/config.common.amd64 b/debian.master/config/amd64/config.common.amd64
index fe2f97f269e3..0e156a243542 100644
--- a/debian.master/config/amd64/config.common.amd64
+++ b/debian.master/config/amd64/config.common.amd64
@@ -691,7 +691,6 @@ CONFIG_VXGE=m
 CONFIG_W1=m
 CONFIG_WAN=y
 CONFIG_WDTPCI=m
-CONFIG_WLAN_VENDOR_MICROCHIP=y
 CONFIG_WWAN=y
 CONFIG_X25=m
 CONFIG_XEN=y
diff --git a/debian.master/config/annotations b/debian.master/config/annotations
index 328af633d8a7..7a04ae19385d 100644
--- a/debian.master/config/annotations
+++ b/debian.master/config/annotations
@@ -6619,10 +6619,10 @@ CONFIG_AT76C50X_USB                             policy<{'amd64': 'm', 'arm64': '
 CONFIG_WLAN_VENDOR_CISCO                        policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 'riscv64': 'y'}>
 CONFIG_AIRO                                     policy<{'amd64': 'm', 'ppc64el': 'm'}>
 CONFIG_AIRO_CS                                  policy<{'amd64': 'm'}>
-CONFIG_WLAN_VENDOR_MICROCHIP                    policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 'riscv64': 'n'}>
-CONFIG_WILC1000_SDIO                            policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'ppc64el': 'm'}>
-CONFIG_WILC1000_SPI                             policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'ppc64el': 'm'}>
-CONFIG_WILC1000_HW_OOB_INTR                     policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y'}>
+CONFIG_WLAN_VENDOR_MICROCHIP                    policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 'riscv64': 'y'}>
+CONFIG_WILC1000_SDIO                            policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'ppc64el': 'm', 'riscv64': 'm'}>
+CONFIG_WILC1000_SPI                             policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'ppc64el': 'm', 'riscv64': 'm'}>
+CONFIG_WILC1000_HW_OOB_INTR                     policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 'riscv64': 'y'}>
 CONFIG_WLAN_VENDOR_RALINK                       policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 'riscv64': 'y'}>
 CONFIG_WLAN_VENDOR_RSI                          policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 'riscv64': 'y'}>
 CONFIG_WLAN_VENDOR_ST                           policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 'riscv64': 'y'}>
diff --git a/debian.master/config/arm64/config.common.arm64 b/debian.master/config/arm64/config.common.arm64
index 7b04b130ce6a..72270e7d398c 100644
--- a/debian.master/config/arm64/config.common.arm64
+++ b/debian.master/config/arm64/config.common.arm64
@@ -723,7 +723,6 @@ CONFIG_VXGE=m
 CONFIG_W1=m
 CONFIG_WAN=y
 CONFIG_WDTPCI=m
-CONFIG_WLAN_VENDOR_MICROCHIP=y
 CONFIG_WWAN=y
 CONFIG_X25=m
 CONFIG_XEN=y
diff --git a/debian.master/config/armhf/config.common.armhf b/debian.master/config/armhf/config.common.armhf
index 92b2cac23531..26d3b1d3ecec 100644
--- a/debian.master/config/armhf/config.common.armhf
+++ b/debian.master/config/armhf/config.common.armhf
@@ -704,7 +704,6 @@ CONFIG_VXGE=m
 CONFIG_W1=m
 CONFIG_WAN=y
 CONFIG_WDTPCI=m
-CONFIG_WLAN_VENDOR_MICROCHIP=y
 CONFIG_WWAN=y
 CONFIG_X25=m
 # CONFIG_XEN is not set
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index d21e40243221..ddce83712bd0 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -12982,6 +12982,7 @@ CONFIG_WLAN_VENDOR_INTEL=y
 CONFIG_WLAN_VENDOR_INTERSIL=y
 CONFIG_WLAN_VENDOR_MARVELL=y
 CONFIG_WLAN_VENDOR_MEDIATEK=y
+CONFIG_WLAN_VENDOR_MICROCHIP=y
 CONFIG_WLAN_VENDOR_PURELIFI=y
 CONFIG_WLAN_VENDOR_QUANTENNA=y
 CONFIG_WLAN_VENDOR_RALINK=y
diff --git a/debian.master/config/ppc64el/config.common.ppc64el b/debian.master/config/ppc64el/config.common.ppc64el
index 2c41e161b8e7..d2c0e9de2396 100644
--- a/debian.master/config/ppc64el/config.common.ppc64el
+++ b/debian.master/config/ppc64el/config.common.ppc64el
@@ -694,7 +694,6 @@ CONFIG_VXGE=m
 CONFIG_W1=m
 CONFIG_WAN=y
 CONFIG_WDTPCI=m
-CONFIG_WLAN_VENDOR_MICROCHIP=y
 CONFIG_WWAN=y
 CONFIG_X25=m
 CONFIG_XILINX_EMACLITE=m
diff --git a/debian.master/config/riscv64/config.common.riscv64 b/debian.master/config/riscv64/config.common.riscv64
index 8c01ca4f83bd..4b4a9150e59c 100644
--- a/debian.master/config/riscv64/config.common.riscv64
+++ b/debian.master/config/riscv64/config.common.riscv64
@@ -686,7 +686,6 @@ CONFIG_VXGE=m
 CONFIG_W1=m
 CONFIG_WAN=y
 CONFIG_WDTPCI=m
-# CONFIG_WLAN_VENDOR_MICROCHIP is not set
 CONFIG_WWAN=m
 CONFIG_X25=m
 CONFIG_XILINX_EMACLITE=m