diff --git a/debian.master/config/amd64/config.common.amd64 b/debian.master/config/amd64/config.common.amd64
index 200e866d5233..b518c7fcd821 100644
--- a/debian.master/config/amd64/config.common.amd64
+++ b/debian.master/config/amd64/config.common.amd64
@@ -303,7 +303,6 @@ CONFIG_LLC2=m
 CONFIG_LOG_BUF_SHIFT=18
 CONFIG_LPC_ICH=m
 CONFIG_LPC_SCH=m
-CONFIG_LSM="landlock,lockdown,yama,integrity,apparmor"
 CONFIG_MAC_PARTITION=y
 CONFIG_MAILBOX=y
 CONFIG_MARVELL_88X2222_PHY=m
diff --git a/debian.master/config/annotations b/debian.master/config/annotations
index 6d3b9b25eef8..83628fa75f3e 100644
--- a/debian.master/config/annotations
+++ b/debian.master/config/annotations
@@ -13838,7 +13838,7 @@ CONFIG_HARDEN_BRANCH_HISTORY                    policy<{'armhf': 'y'}>
 CONFIG_MITIGATE_SPECTRE_BRANCH_HISTORY          policy<{'arm64': 'y'}>
 CONFIG_FORTIFY_SOURCE                           policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'ppc64el': 'y', 'riscv64': 'n', 's390x': 'y'}>
 CONFIG_STATIC_USERMODEHELPER                    policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'ppc64el': 'n', 'riscv64': 'n', 's390x': 'n'}>
-CONFIG_LSM                                      policy<{'amd64': '"landlock,lockdown,yama,integrity,apparmor"', 'arm64': '"landlock,lockdown,yama,integrity,apparmor"', 'armhf': '"landlock,lockdown,yama,integrity,apparmor"', 'ppc64el': '"landlock,lockdown,yama,integrity,apparmor"', 'riscv64': '"lockdown,yama,integrity,apparmor"', 's390x': '"landlock,lockdown,yama,integrity,apparmor"'}>
+CONFIG_LSM                                      policy<{'amd64': '"landlock,lockdown,yama,integrity,apparmor"', 'arm64': '"landlock,lockdown,yama,integrity,apparmor"', 'armhf': '"landlock,lockdown,yama,integrity,apparmor"', 'ppc64el': '"landlock,lockdown,yama,integrity,apparmor"', 'riscv64': '"landlock,lockdown,yama,integrity,apparmor"', 's390x': '"landlock,lockdown,yama,integrity,apparmor"'}>
 #
 CONFIG_SECURITY_DMESG_RESTRICT                  mark<ENFORCED>
 CONFIG_LSM                                      mark<ENFORCED>
diff --git a/debian.master/config/arm64/config.common.arm64 b/debian.master/config/arm64/config.common.arm64
index daaf5c7863a7..fe20875753bf 100644
--- a/debian.master/config/arm64/config.common.arm64
+++ b/debian.master/config/arm64/config.common.arm64
@@ -318,7 +318,6 @@ CONFIG_LLC2=m
 CONFIG_LOG_BUF_SHIFT=18
 CONFIG_LPC_ICH=m
 CONFIG_LPC_SCH=m
-CONFIG_LSM="landlock,lockdown,yama,integrity,apparmor"
 CONFIG_MAC_PARTITION=y
 CONFIG_MAILBOX=y
 CONFIG_MARVELL_88X2222_PHY=m
diff --git a/debian.master/config/armhf/config.common.armhf b/debian.master/config/armhf/config.common.armhf
index 4c5c17d74394..a5c66ff9659b 100644
--- a/debian.master/config/armhf/config.common.armhf
+++ b/debian.master/config/armhf/config.common.armhf
@@ -308,7 +308,6 @@ CONFIG_LLC2=m
 CONFIG_LOG_BUF_SHIFT=17
 CONFIG_LPC_ICH=m
 CONFIG_LPC_SCH=m
-CONFIG_LSM="landlock,lockdown,yama,integrity,apparmor"
 CONFIG_MAC_PARTITION=y
 CONFIG_MAILBOX=y
 CONFIG_MARVELL_88X2222_PHY=m
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index b5468a28802d..7d6254d011c2 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -6021,6 +6021,7 @@ CONFIG_LPARCFG=y
 # CONFIG_LP_CONSOLE is not set
 CONFIG_LRU_CACHE=m
 CONFIG_LSI_ET1011C_PHY=m
+CONFIG_LSM="landlock,lockdown,yama,integrity,apparmor"
 CONFIG_LSM_MMAP_MIN_ADDR=0
 CONFIG_LS_EXTIRQ=y
 CONFIG_LS_SCFG_MSI=y
diff --git a/debian.master/config/ppc64el/config.common.ppc64el b/debian.master/config/ppc64el/config.common.ppc64el
index ad9c8c1136d9..85a3f2e79e14 100644
--- a/debian.master/config/ppc64el/config.common.ppc64el
+++ b/debian.master/config/ppc64el/config.common.ppc64el
@@ -309,7 +309,6 @@ CONFIG_LLC2=m
 CONFIG_LOG_BUF_SHIFT=18
 CONFIG_LPC_ICH=m
 CONFIG_LPC_SCH=m
-CONFIG_LSM="landlock,lockdown,yama,integrity,apparmor"
 CONFIG_MAC_PARTITION=y
 CONFIG_MAILBOX=y
 CONFIG_MARVELL_88X2222_PHY=m
diff --git a/debian.master/config/riscv64/config.common.riscv64 b/debian.master/config/riscv64/config.common.riscv64
index 9500e3f68cd6..6d24d540f01f 100644
--- a/debian.master/config/riscv64/config.common.riscv64
+++ b/debian.master/config/riscv64/config.common.riscv64
@@ -303,7 +303,6 @@ CONFIG_LLC2=m
 CONFIG_LOG_BUF_SHIFT=18
 CONFIG_LPC_ICH=m
 CONFIG_LPC_SCH=m
-CONFIG_LSM="lockdown,yama,integrity,apparmor"
 CONFIG_MAC_PARTITION=y
 CONFIG_MAILBOX=y
 CONFIG_MARVELL_88X2222_PHY=m
diff --git a/debian.master/config/s390x/config.common.s390x b/debian.master/config/s390x/config.common.s390x
index 5bed8649aef9..7646748fae68 100644
--- a/debian.master/config/s390x/config.common.s390x
+++ b/debian.master/config/s390x/config.common.s390x
@@ -284,7 +284,6 @@ CONFIG_KVM=y
 CONFIG_LOG_BUF_SHIFT=18
 # CONFIG_LPC_ICH is not set
 # CONFIG_LPC_SCH is not set
-CONFIG_LSM="landlock,lockdown,yama,integrity,apparmor"
 # CONFIG_MAC_PARTITION is not set
 # CONFIG_MAILBOX is not set
 # CONFIG_MARVELL_88X2222_PHY is not set