diff --git a/debian.master/config/amd64/config.common.amd64 b/debian.master/config/amd64/config.common.amd64
index 735590e6d8d2..c7ede324b58a 100644
--- a/debian.master/config/amd64/config.common.amd64
+++ b/debian.master/config/amd64/config.common.amd64
@@ -476,6 +476,7 @@ CONFIG_PCCARD=m
 CONFIG_PCIEPORTBUS=y
 CONFIG_PCIPCWATCHDOG=m
 CONFIG_PCI_EPF_NTB=m
+# CONFIG_PCI_MESON is not set
 CONFIG_PCI_PASID=y
 CONFIG_PCI_PRI=y
 CONFIG_PCI_QUIRKS=y
diff --git a/debian.master/config/annotations b/debian.master/config/annotations
index c0d51a759b94..55a498c406a2 100644
--- a/debian.master/config/annotations
+++ b/debian.master/config/annotations
@@ -7111,7 +7111,7 @@ CONFIG_PCIE_KEEMBAY_HOST                        policy<{'arm64': 'y'}>
 CONFIG_PCIE_KEEMBAY_EP                          policy<{'arm64': 'y'}>
 CONFIG_PCIE_KIRIN                               policy<{'arm64': 'y'}>
 CONFIG_PCIE_HISI_STB                            policy<{'arm64': 'y', 'armhf': 'y'}>
-CONFIG_PCI_MESON                                policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'ppc64el': 'n', 'riscv64': 'n', 's390x': 'n'}>
+CONFIG_PCI_MESON                                policy<{'amd64': 'n', 'arm64': 'm', 'armhf': 'n', 'ppc64el': 'n', 'riscv64': 'n', 's390x': 'n'}>
 CONFIG_PCIE_TEGRA194_HOST                       policy<{'arm64': 'm'}>
 CONFIG_PCIE_TEGRA194_EP                         policy<{'arm64': 'm'}>
 CONFIG_PCIE_VISCONTI_HOST                       policy<{'arm64': 'y'}>
@@ -7119,6 +7119,8 @@ CONFIG_PCIE_UNIPHIER                            policy<{'armhf': 'n', 'armhf-gen
 CONFIG_PCIE_UNIPHIER_EP                         policy<{'armhf': 'n', 'armhf-generic-lpae': '-'}>
 CONFIG_PCIE_AL                                  policy<{'arm64': 'y'}>
 CONFIG_PCIE_FU740                               policy<{'riscv64': 'y'}>
+#
+CONFIG_PCI_MESON                                note<LP#2007745>
 
 # Menu: Device Drivers >> PCI support >> PCI controller drivers >> Mobiveil PCIe Core Support
 CONFIG_PCIE_MOBIVEIL_PLAT                       policy<{'arm64': 'n'}>
diff --git a/debian.master/config/arm64/config.common.arm64 b/debian.master/config/arm64/config.common.arm64
index 6e83ce03c6fb..f754f768cb4e 100644
--- a/debian.master/config/arm64/config.common.arm64
+++ b/debian.master/config/arm64/config.common.arm64
@@ -497,6 +497,7 @@ CONFIG_PCIEPORTBUS=y
 CONFIG_PCIPCWATCHDOG=m
 CONFIG_PCI_EPF_NTB=m
 CONFIG_PCI_LAYERSCAPE=y
+CONFIG_PCI_MESON=m
 CONFIG_PCI_PASID=y
 CONFIG_PCI_PRI=y
 CONFIG_PCI_QUIRKS=y
diff --git a/debian.master/config/armhf/config.common.armhf b/debian.master/config/armhf/config.common.armhf
index ff62a9d78571..5ec7e1be4ee9 100644
--- a/debian.master/config/armhf/config.common.armhf
+++ b/debian.master/config/armhf/config.common.armhf
@@ -484,6 +484,7 @@ CONFIG_PCIEPORTBUS=y
 CONFIG_PCIPCWATCHDOG=m
 CONFIG_PCI_EPF_NTB=m
 # CONFIG_PCI_LAYERSCAPE is not set
+# CONFIG_PCI_MESON is not set
 CONFIG_PCI_PASID=y
 CONFIG_PCI_PRI=y
 CONFIG_PCI_QUIRKS=y
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index 1284d6c7eba8..2e328ec258da 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -7951,7 +7951,6 @@ CONFIG_PCI_KEYSTONE_HOST=y
 CONFIG_PCI_LABEL=y
 CONFIG_PCI_LAYERSCAPE_EP=y
 CONFIG_PCI_LOCKLESS_CONFIG=y
-# CONFIG_PCI_MESON is not set
 CONFIG_PCI_MMCONFIG=y
 CONFIG_PCI_MSI=y
 CONFIG_PCI_MSI_ARCH_FALLBACKS=y
diff --git a/debian.master/config/ppc64el/config.common.ppc64el b/debian.master/config/ppc64el/config.common.ppc64el
index 482420cf5546..f06de8375c02 100644
--- a/debian.master/config/ppc64el/config.common.ppc64el
+++ b/debian.master/config/ppc64el/config.common.ppc64el
@@ -485,6 +485,7 @@ CONFIG_PC104=y
 # CONFIG_PCIEPORTBUS is not set
 CONFIG_PCIPCWATCHDOG=m
 CONFIG_PCI_EPF_NTB=m
+# CONFIG_PCI_MESON is not set
 CONFIG_PCI_PASID=y
 CONFIG_PCI_PRI=y
 CONFIG_PCI_QUIRKS=y
diff --git a/debian.master/config/s390x/config.common.s390x b/debian.master/config/s390x/config.common.s390x
index a3bb4841c972..1be0fbd1d801 100644
--- a/debian.master/config/s390x/config.common.s390x
+++ b/debian.master/config/s390x/config.common.s390x
@@ -439,6 +439,7 @@ CONFIG_PANIC_TIMEOUT=0
 CONFIG_PCIEPORTBUS=y
 # CONFIG_PCIPCWATCHDOG is not set
 # CONFIG_PCI_EPF_NTB is not set
+# CONFIG_PCI_MESON is not set
 # CONFIG_PCI_PASID is not set
 # CONFIG_PCI_PRI is not set
 # CONFIG_PCI_QUIRKS is not set